<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:v3="urn:hl7-org:v3">

<xsl:param name="Sort"/>
<xsl:param name="Page"/>
<xsl:output method="html" />
  


	<xsl:template match="/">
		<head>
		<style type="text/css">
				<xsl:text>
					.banner {
						height:60px;
						font-family:  Arial ;	 
						margin-bottom: 10px;
						max-width: 1920px;
						min-width: 1030px;
						background-repeat:no-repeat;
						background-color:rgb(23,82,159); 
							background-image:url('file:///c:/xforms/xsl/img/img_fdagov_hp_logo_type.png');
						background-position:  center left;
						border-radius: 10px;
						padding: 1em 1em 1em 1em;  	
						font-size: 12pt;
						color: white;
						font-weight:bold;
						text-align:right;
						border-radius: 15px;
						}

					.tables 
					  {
						 margin-left: 20px;
					  }
						
					th 
					  {
						 background-color:rgb(23,82,159); 
						 color: white;
						 border: 1px black;
						 padding-left: 10px;
						 padding-right: 20px;
					  }
					td
					  {
						 border: 1px;
						 border-color: black;
						 border-style:solid;
						 padding-left: 10px;
						 padding-right: 20px;
					  }
						  
	
			   .rel {POSITION: relative; width:100%;}
			   .abs {POSITION: absolute; width:100%;}
			   .right { text-align:right; }
			   .left { text-align:left; }
			   .center { text-align:center; }

              </xsl:text>
			</style>

		</head>
		<body>
			<h1 class="banner">
				<xsl:text>Demographics View -  v.0.0.1</xsl:text>
				<br/>
				<xsl:value-of select="/v3:study/v3:instantiation/v3:plannedStudy/v3:id/@extension"/>
			
				<br/>
				<br/>
			</h1>
<a> 




<value-of select="/v3:study" /> 
</a> 

			<div>
				<table cellspacing="1" class="t" id="myTable" > 
					<tr bgcolor="rgb(23,82,159)" cols="11">
						<th>
								<font color="white">
									<b>Subject Identifier</b>
								</font>
						</th>
						<th>
								<font color="white">
									<b>Status</b>
								</font>
						</th>
						<th>
								<font color="white">
									<b>Status Begin Date</b>
								</font>
						</th>
						<th>
								<font color="white">
									<b>Status End Date</b>
								</font>
						</th>
						<th>
								<font color="white">
									<b>Site ID</b>
								</font>
						</th>
												<th>
								<font color="white">
									<b>Investigator ID</b>
								</font>
						</th>			
					<th>
								<font color="white">
									<b>Birthdate</b>
								</font>
						</th>
	
						<th>
								<font color="white">
									<b>Sex</b>
								</font>
						</th>
						<th>
								<font color="white">
									<b>Race</b>
								</font>
						</th>
						<th>
								<font color="white">
									<b>Arm</b>
								</font>
						</th>
						<th>
								<font color="white">
									<b>Country</b>
								</font>
						</th>
					</tr>
					


			 
				<xsl:for-each select="/v3:study/v3:component1/v3:studyActivitiesAtSite/v3:subject1">
			<xsl:sort select="./v3:experimentalUnit/child::*/child::v3:id/@extension" order="ascending" data-type="number"/>   
				 
					<tr>
					  <xsl:call-template name="subject">
							<xsl:with-param name="subjectID" select="./v3:experimentalUnit/child::*/child::v3:id/@extension"/>
							<xsl:with-param name="siteID" select=".././v3:id/@extension"/> 
							<xsl:with-param name="studyID" select="//v3:study/v3:instantiation/v3:plannedStudy/v3:id/@root"/>
							<xsl:with-param name="invID" select=".././v3:primaryPerformer/v3:investigator[v3:code/@code = 'primary']/v3:id/@extension"/> 
							<xsl:with-param name="country" select=".././v3:location[1]/v3:serviceDeliveryLocation/v3:location/v3:addr/v3:country"/> 

						</xsl:call-template>

													
						</tr>	
					</xsl:for-each>
				</table>
				<br/>
			</div>
			<br/>
			<br/>
			<br/>
		</body>
	</xsl:template>
		
	
	<xsl:template name="subject">
		<xsl:param name="subjectID"/>
		<xsl:param name="siteID"/>
		<xsl:param name="invID"/>
		<xsl:param name="studyID"/>
		<xsl:param name="country"/>
		<xsl:param name="thisDocument"/>
		<xsl:variable name="subjectFileName" select="concat('StudySubjectData_', $studyID, '_',   $subjectID,'.xml')"/>
		<xsl:choose>
			<xsl:when test="document($subjectFileName)/v3:document">
				<!--			<xsl:value-of select="v3:assignedAuthor/v3:assignedPerson/v3:name/v3:given"/> <xsl:text> </xsl:text> <xsl:value-of select="v3:assignedAuthor/v3:assignedPerson/v3:name/v3:family"/>-->
			</xsl:when>
			<xsl:otherwise>
				<xsl:text> Subject Data Message Not found</xsl:text>
			</xsl:otherwise>

		</xsl:choose>


	
<td >
				<xsl:value-of select="./v3:experimentalUnit/v3:subjectPerson/v3:id/@extension"/>
			</td>

			<td>
				<xsl:value-of select="./v3:experimentalUnit/v3:statusCode/@code"/>
				<!--<xsl:value-of select="$thisDocument"/>-->
			</td>
			
			<td>
				<xsl:value-of select="./v3:experimentalUnit/v3:effectiveTime/v3:low/@value"/>
			</td>
			
			<td>
				<xsl:value-of select="./v3:experimentalUnit/v3:effectiveTime/v3:high/@value"/>
			</td>
					<td>
				<xsl:value-of select="$siteID"/>
			</td>
					<td>
				<xsl:value-of select="$invID"/>
			</td>
			<td>
				<xsl:value-of select="document($subjectFileName)//v3:observation[v3:code/@code='dob']/v3:value"/>
			</td>
			<td>
				<xsl:value-of select="document($subjectFileName)//v3:observation[v3:code/@code='C66731']/v3:value"/>
			</td>			
			<td>
				<xsl:value-of select="document($subjectFileName)//v3:observation[v3:code/@code='C74457']/v3:value"/>
			</td>
				<td>
				<xsl:value-of select="document($subjectFileName)//v3:observation[v3:code/@code='Allocate']/v3:value"/>
			</td>		
				<td>
				<xsl:value-of select="$country"/>
			</td>	

	</xsl:template>
	
	
</xsl:stylesheet>
