<?xml version="1.0" encoding="UTF-8"?>
<!--################################################### 
Copyright (c) 2010 U.S. Food and Drug Administration

Permission is hereby granted, free of charge, to any person obtaining a copy of this software (Study Design XForm) and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, or sell copies of the Software or derivatives, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  THIS SOFTWARE IS PROVIDED WITHOUT ANY OBLIGATION TO PROVIDE MAINTENANCE OR OTHER SUPPORT."
####################################################################-->

<xsl:stylesheet version="2.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xmlns:v3="urn:hl7-org:v3">
 <xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
    <xsl:template match="/">
    <html>
				
        <head>
            <title>Study Design Grid - <xsl:value-of select="/v3:plannedStudy/v3:id/@extension"/></title>
            <style>
            
 .stylesheetheader {
       /*   border-left: rgb(23,82,159)  solid 2px;
            border-top: rgb(23,82,159)  solid 2px;
            border-right: rgb(23,82,159)  solid 2px;
           border-bottom:1px;*/
           
            font-size:11pt;
        
              background:rgb(23,82,159);   
         /*  border-color:rgb(23,82,159); */
           /* Un-comment this section to center the banner with a specified width; */
        
            color:white;
            font-family:Arial;

            font-weight:bold;
             height:35px;
          -moz-border-radius: .5em .5em 0em 0em; 
           text-align:center;
      
        }
      
            
        
        

.stylesheetArm 

{
            border-bottom: rgb(23,82,159)  solid 2px;
            border-top: rgb(23,82,159)  solid 2px;
            border-right: rgb(23,82,159)  solid 2px;
           
            font-size:10pt;
            
              background:rgb(23,82,159);   
              border-color:rgb(23,82,159); 
           /* Un-comment this section to center the banner with a specified width; */
           width:130px;
            color:white;
            font-family:Arial;
          text-align:center;
            

            font-weight:bold;
            height:40px;
           border-radius: .5em .0em 0em .5em; 
         /*  border-style:ridge;*/
                  
        }
   
  
         
td.stylesheetCell

{
            border: rgb(23,82,159)  solid 1px;
    
           
            font-size:10pt;
             
        
             /* margin:0 auto; */
              background:rgb(200,200,200);   
            /*  border-color:rgb(23,82,159); */
           /* Un-comment this section to center the banner with a specified width; */
         /*  max-width: 200px;*/
            font-family:Arial;
            border-style:solid;
          text-align:center;
        /* padding:10px;*/
        /*margin:50px;*/
    -moz-border-radius: .5em .5em .5em .5em; 
    font-weight:bold;
   height:40px;
           border-color:rgb(23,82,159);
           
           
        }

        
tr td.stylesheetCellEmpty

{
          
            font-size:10pt;
              background:rgb(238,236,225);   
            
       
          text-align:center;
     -moz-border-radius: .5em .5em .5em .5em; 
    font-weight:bold;
         height:35px;
           border: solid 1px;
           border-style:solid;
           border-color:green;
          border-color:rgb(53,101,173); 

        }       
        
            
<!--.tableformat
{
  empty-cells:show;
}  -->          
            
            </style>            
            
               </head>
            
                 <body>
            <table><tr>
            <td style="border:0;"><h2 style="padding-left:20px;">STUDY DESIGN - <xsl:value-of select="/v3:plannedStudy/v3:id/@extension"/></h2></td>
            <xsl:if test="/v3:plannedStudy/v3:id/@root!=''"> <td style="border:0;"><h3 style="padding-left:5px;"> (<xsl:value-of select="/v3:plannedStudy/v3:id/@root"/>)</h3></td></xsl:if>
            </tr></table>
            
            
            
            <!--Table header begins here-->
            <table border="0" width="100%" >
								
									  <tr>
													  <td></td>
					
										<xsl:for-each select="/v3:plannedStudy/v3:component1">
									      	<xsl:sort data-type="number" select="v3:sequenceNumber/@value"/>
												<td class="stylesheetheader">
													<strong >
														<xsl:value-of select="v3:epoch/v3:id/@extension"/>
														</strong>
														</td>
										</xsl:for-each>
											</tr>
											
				<!--First table row record begins here-->							
			
										
			
		
				
						  <!--Display the ARM Names -->   	  
						   	   <xsl:for-each select="/v3:plannedStudy/v3:component2/v3:arm">
                                	      <xsl:variable name="topLevelArmName" select="v3:id/@extension"/>

						   <tr>
									<td class="stylesheetArm">
																	<strong >
																		<xsl:value-of select="v3:id/@extension"/>
																		</strong>
									</td>
									
                                   <xsl:for-each select="/v3:plannedStudy/v3:component1/v3:epoch">
                                     <xsl:sort data-type="number" select="../v3:sequenceNumber/@value"/>
									 <xsl:variable name="epochName" select="v3:id/@extension"/>
			                 		 <xsl:variable name="sequenceNumber" select="v3:sequenceNumber/@value"/>
									 <xsl:variable name="found"> <!--Initialize value of variable based on whether it is found or not-->
											 <xsl:for-each select="/v3:plannedStudy/v3:component4/v3:timePointEventDefinition/v3:component1" >
  			                                      <xsl:sort data-type="number" select="v3:sequenceNumber/@value"/>

											            <xsl:choose>   
                                                              <xsl:when test="v3:timePointEventDefinition/v3:componentOf2/v3:armStub/v3:id/@extension = $topLevelArmName  and  v3:timePointEventDefinition/v3:componentOf1/v3:epochStub/v3:id/@extension = $epochName  "> 
                                                                     <xsl:value-of select="v3:timePointEventDefinition/v3:id/@extension"/>
                                                                     
                                                               </xsl:when>  
                                                               <xsl:otherwise>
                                                               </xsl:otherwise>    
                                                           </xsl:choose>
											 
											 </xsl:for-each>
									 </xsl:variable>		        
										 
								<!--	<xsl:if test="$found != '' ">
									   <td class="stylesheetCell" ><strong><xsl:value-of select="$found" /></strong></td>
									</xsl:if> 
									 <xsl:if test="$found = '' " >
									       <td class="stylesheetCellEmpty"><strong><xsl:value-of select="$found" /></strong></td>
									</xsl:if> 
                                -->            
                                
					 <xsl:choose>
					           <xsl:when test="$found != '' ">
									   <td class="stylesheetCell" ><strong><xsl:value-of select="$found" /></strong></td>
								</xsl:when>
							  <xsl:when test="$found = '' " >
									       <td class="stylesheetCell">   .  </td>
								</xsl:when> 		
								 <xsl:otherwise/>
                                                       
					 
					  </xsl:choose>                                 
                                
                                
                                   </xsl:for-each>									
									
									
									
									
									
					  	</tr>			
								</xsl:for-each>				
						     </table>
            </body>
     </html>
    </xsl:template>
    	
    
  </xsl:stylesheet>
    
    