<?xml version="1.0" encoding="UTF-8"?>
<!--################################################### 
Copyright (c) 2010 U.S. Food and Drug Administration

Permission is hereby granted, free of charge, to any person obtaining a copy of this software (Study Design XForm) and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, or sell copies of the Software or derivatives, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  THIS SOFTWARE IS PROVIDED WITHOUT ANY OBLIGATION TO PROVIDE MAINTENANCE OR OTHER SUPPORT."
####################################################################-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:v3="urn:hl7-org:v3" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns="http://www.w3.org/1999/xhtml" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:str="http://exslt.org/strings" xmlns:exsl="http://exslt.org/common" xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="exsl msxsl v3 xsl xsi" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<head>
			<link rel="stylesheet" type="text/css" media="print" href="file:///c:/xforms/xsl/1572stylePrint.css" />
			<link rel="stylesheet" type="text/css" media="screen" href="file:///c:/xforms/xsl/1572style.css" />
					
				<title>Form FDA 1572</title>
			</head>
			
			<body style="background-color:white;">
			<br/>	
									
				<xsl:for-each select="v3:study/v3:primaryPerformer">
				<br/>
				<table class="mainTable" width="1050">
				<div class="sectionHeader">
						<tr height="120">
							<th width="65%">
								<h2>DEPARTMENT OF HEALTH AND HUMAN SERVICES</h2>
								<h4>FOOD AND DRUG ADMINISTRATION</h4>
								<h1>STATEMENT OF THE INVESTIGATOR</h1>
								<h3><b> <i>(TITLE 21, CODE OF FEDERAL REGUALTIONS (CFR) PART 312)</i></b></h3>
								<h4>(See instructions on reverse side.)</h4>	
							</th>
				
						<th>			
									<h6>Form Approved: OMB No. 0910-0014 <br/> Expiration Date: May 31, 2009 <br/> <i> See OMB Statement on Reverse</i></h6>
									 <hr  color="black" size="1" /> 
									<h6><b>Note:</b> No Investigator may participate in an investigation until he/she provides the sponsor with a completed, signed Statement of the Investigator.  
										<br/>
									Form FDA 1572(21 CFR 312.53©).</h6>
						</th>
						</tr>	
						</div>		
						</table>
						
						<table class="mainTable" width="1050">									
						<xsl:variable name="thisPrimaryPerformer" select="v3:investigator/v3:id/@extension"/>
						<tr height="100" class="section1">
							<td >
								<h6> 	1.  NAME AND ADDRESS OF INVESTIGATOR</h6>
									<p> <b><xsl:call-template name="show-name">
										   <xsl:with-param name="name" select="v3:investigator/v3:investigatorPerson/v3:name" /> 
										 </xsl:call-template></b>
										 <xsl:text> </xsl:text>
										 <xsl:call-template name="show-address">
										   <xsl:with-param name="address" select="v3:investigator/v3:investigatorPerson/v3:addr" /> 
										 </xsl:call-template></p>
							</td>
						</tr>
						
						<tr height="150" class="section2">
						<div >
							<td>
								<h6>2.  EDUCATION, TRAINING AND EXPERIENCE THAT QUALIFY THE INVESTIGATOR AS AN EXPERT IN THE CLINICAL INVESTIGATION OF THE DRUG FOR THE USE UNDER THE INVESTIGATION.  ONE OF THE FOLLOWING IS ATTACHED.</h6>
															
				<p align="center">			<input  type="checkbox" name="button1" class="theCheckBoxes">CURRICULUM VITAE</input> <xsl:text>&#160;</xsl:text> <xsl:text>&#160;</xsl:text> <xsl:text>&#160;</xsl:text> <xsl:text>&#160;</xsl:text> <xsl:text>&#160;</xsl:text> <xsl:text>&#160;</xsl:text> <xsl:text>&#160;</xsl:text> 
							<input type="checkbox" name="button1">OTHER STATEMENT OF QUALIFICATIONS</input></p>

								<xsl:for-each select="v3:investigator/v3:investigatorPerson/v3:asLicensedEntity">
									<p>
											<xsl:if test="string-length(v3:code/@code)>0">
												<xsl:value-of select="v3:code/@code"/>  
												<xsl:text>, </xsl:text> 
										</xsl:if>
								<b>	
										 <xsl:call-template name="show-name">
										   <xsl:with-param name="name" select="v3:issuingOrganization/v3:name" /> 
										 </xsl:call-template></b>


										 <xsl:call-template name="show-address">
										   <xsl:with-param name="address" select="v3:issuingOrganization/v3:addr" /> 
										 </xsl:call-template></p>
								</xsl:for-each>
							</td>
							</div>
						</tr>		

		
							<tr  height="170" class="section3">
								<td>
									<h6>3. NAME AND ADDRESS OF ANY MEDICAL SCHOOL, HOSPITAL, OR OTHER RESEARCH FACILITY WHERE THE CLINICAL INVESTIGATION(S) WILL BE CONDUCTED.</h6>
										<xsl:for-each select="parent::v3:study/v3:component1/v3:studyActivitiesAtSite[v3:primaryPerformer/v3:investigator/v3:id/@extension = $thisPrimaryPerformer]">
											<xsl:for-each select="v3:location/v3:serviceDeliveryLocation[not(v3:location/v3:id/@extension = preceding::v3:serviceDeliveryLocation/v3:location/v3:id/@extension)]">
												<p>	<b>	<xsl:call-template name="show-name">
													   <xsl:with-param name="name" select="v3:location/v3:name" /> 
													 </xsl:call-template></b>
													 
													 <xsl:call-template name="show-address">
													   <xsl:with-param name="address" select="v3:location/v3:addr" /> 
													 </xsl:call-template> </p>
													
												</xsl:for-each> 
										</xsl:for-each>
								</td>
							</tr>
							<tr height="170" class="section4">
								<td>
									<h6>4. NAME AND ADDRESS OF ANY CLINICAL LABORATORY FACILITIES TO BE USED IN THE STUDY.</h6>
										<xsl:for-each select="parent::v3:study/v3:component1/v3:studyActivitiesAtSite[v3:primaryPerformer/v3:investigator/v3:id/@extension = $thisPrimaryPerformer]">
										<xsl:for-each select="v3:secondaryPerformer">
											<p>	<xsl:variable name="thisSecondaryPerformerCode" select="v3:serviceProvider/v3:code/@code"/>
												<xsl:variable name="thisSecondaryPerformer" select="v3:serviceProvider/v3:playingOrganization/v3:id/@extension"/>
													<xsl:if test="contains($thisSecondaryPerformerCode, 'lab') or  contains($thisSecondaryPerformerCode, 'Lab')">
															<xsl:if test="not(contains($thisSecondaryPerformerCode, 'Signatory'))">
															 <xsl:for-each select="//v3:study/v3:secondaryPerformer/v3:serviceProvider/v3:playingOrganization[not(v3:id/@extension = preceding::v3:playingOrganization/v3:id/@extension)][v3:id/@extension = $thisSecondaryPerformer]">
													<b>	<xsl:call-template name="show-name">
													   <xsl:with-param name="name" select="v3:name" /> 
													 </xsl:call-template></b>
													 
													 <xsl:call-template name="show-address">
													   <xsl:with-param name="address" select="v3:addr" /> 
													 </xsl:call-template> 
													 <br/> 
															</xsl:for-each>
															</xsl:if>
														</xsl:if></p>	
														
												</xsl:for-each>
												
										</xsl:for-each>
																		
								</td>
							</tr>
		
						<tr height="170" class="section5">
								<td>
									<h6>5. NAME AND ADDRESS OF THE INSTUTIONAL REVIEW BOARD(IRB) THAT IS RESPONSIBLE FOR REVIEW AND APPROVAL OF THE STUDY(IES).</h6>
										<xsl:for-each select="parent::v3:study/v3:component1/v3:studyActivitiesAtSite[v3:primaryPerformer/v3:investigator/v3:id/@extension = $thisPrimaryPerformer]">
											<xsl:for-each select="v3:subject2/v3:subjectProtectionApproval/v3:verifier[not(v3:ethicalCommittee/v3:commissioningOrganization/v3:id/@extension = preceding::v3:verifier/v3:ethicalCommittee/v3:commissioningOrganization/v3:id/@extension)]">
											 <p>		<b>	<xsl:call-template name="show-name">
													   <xsl:with-param name="name" select="v3:ethicalCommittee/v3:commissioningOrganization/v3:name" /> 
													 </xsl:call-template></b>
													 
													 <xsl:call-template name="show-address">
													   <xsl:with-param name="address" select="v3:ethicalCommittee/v3:commissioningOrganization/v3:addr" /> 
													 </xsl:call-template></p>
													<br/>
													<br/> 
												</xsl:for-each>
										</xsl:for-each>
								</td>
							</tr>
							
							<tr height="170" class="section6">
								<td>
									<h6>6. NAMES OF THE SUBINVESTIGATORS (e.g., research fellows, residents, associates) WHO WILL BE ASSISTING THE INVESTIGATOR IN THE CONDUCT OF THE INVESTIGATION(S).</h6>
										<xsl:for-each select="parent::v3:study/v3:component1/v3:studyActivitiesAtSite[v3:primaryPerformer/v3:investigator/v3:id/@extension = $thisPrimaryPerformer]">
											<p > <xsl:if test="v3:primaryPerformer/v3:investigator/v3:id/@extension = $thisPrimaryPerformer">	
												<xsl:variable name="thisPrimaryPerformerCode" select="v3:primaryPerformer/v3:investigator[v3:id/@extension = $thisPrimaryPerformer]/v3:code/@code"/>		
												<xsl:if test="$thisPrimaryPerformerCode = 'primary'">
													<xsl:for-each select="v3:primaryPerformer/v3:investigator[v3:code/@code='sub']">
														<xsl:variable name="thisPrimaryPerformerSubID" select="v3:id/@extension"/>		
															<xsl:for-each select="//v3:study/v3:primaryPerformer[v3:investigator/v3:id/@extension = $thisPrimaryPerformerSubID]">
															<b>	<xsl:call-template name="show-name">
																	<xsl:with-param name="name" select="v3:investigator/v3:investigatorPerson/v3:name" /> 
																</xsl:call-template> </b>
																<br/>
														</xsl:for-each>
													</xsl:for-each>	
												</xsl:if>
											</xsl:if></p>
										</xsl:for-each>
								</td>						
							</tr>
							
						<tr height="170" class="section7">
								<td>
									<h6>7. NAME AND CODE NUMBER, IF ANY, OF THE PROTOCOL(S) IN THE IND FOR THE STUDY(IES) TO BE CONDUCTED BY THE INVESTIGATOR.</h6>
									<br/>
									<xsl:if test="string-length(/v3:study/v3:instantiation/v3:plannedStudy/v3:id/@extension)>0">
										<xsl:value-of select="/v3:study/v3:instantiation/v3:plannedStudy/v3:id/@extension" /> 
											<xsl:if test="string-length(/v3:study/v3:instantiation/v3:plannedStudy/v3:id/@root)>0">
											<br/>
											<xsl:value-of select="/v3:study/v3:instantiation/v3:plannedStudy/v3:id/@root" /> 
											</xsl:if>
										</xsl:if>
								</td>						
							</tr>
						</table>
						
							<div class="extraSection">
						<tr >
								<td>
								</td>						
							</tr>
						</div>	
							<table class="mainTable" width="1050">				
							<tr height="170" class="section8">
								<th>
								<h6>8. ATTACH THE FOLLOWING CLINICAL PROTOCOL INFORMATION:
								<br/>
								<br/>
								<p  class="small"><input type="checkbox" name="button2">FOR PHASE 1 INVESTIGATIONS, A GENERAL OUTLINE OF THE PLANNED INVESTIGATION INCLUDING THE ESTIMATED DURATION OF
THE STUDY AND THE MAXIMUM NUMBER OF SUBJECTS THAT WILL BE INVOLVED.</input>
<br/><br/>
								<input type="checkbox" name="button2">FOR PHASE 2 OR 3 INVESTIGATIONS, AN OUTLINE OF THE STUDY PROTOCOL INCLUDING AN APPROXIMATION OF THE NUMBER OF
SUBJECTS TO BE TREATED WITH THE DRUG AND THE NUMBER TO BE EMPLOYED AS CONTROLS, IF ANY; THE CLINICAL USES TO BE
INVESTIGATED; CHARACTERISTICS OF SUBJECTS BY AGE, SEX, AND CONDITION; THE KIND OF CLINICAL OBSERVATIONS AND
LABORATORY TESTS TO BE CONDUCTED; THE ESTIMATED DURATION OF THE STUDY; AND COPIES OR A DESCRIPTION OF CASE
REPORT FORMS TO BE USED.</input></p>
 </h6>
								</th>
							</tr>
							
							<tr height="330" class="section9">
								<td>
								<h6>9. COMMITMENTS:<br/><br/>
					<p class="small">I agree to conduct the study(ies) in accordance with the relevant, current protocol(s) and will only make changes in a protocol after notifying
					the sponsor, except when necessary to protect the safety, rights, or welfare of subjects.</p>
					<p  class="small">I agree to personally conduct or supervise the described investigation(s).</p>
					<p  class="small">I agree to inform any patients, or any persons used as controls, that the drugs are being used for investigational purposes and I will ensure
					that the requirements relating to obtaining informed consent in 21 CFR Part 50 and institutional review board (IRB) review and approval in 21
					CFR Part 56 are met.</p>
					<p  class="small">I agree to report to the sponsor adverse experiences that occur in the course of the investigation(s) in accordance with 21 CFR 312.64.</p>
					<p  class="small">I have read and understand the information in the investigator’s brochure, including the potential risks and side effects of the drug.</p>
					<p  class="small">I agree to ensure that all associates, colleagues, and employees assisting in the conduct of the study(ies) are informed about their obligations
					in meeting the above commitments.</p>
					<p  class="small">I agree to maintain adequate and accurate records in accordance with 21 CFR 312.62 and to make those records available for inspection in
					accordance with 21 CFR 312.68.</p>
					<p  class="small">I will ensure that an IRB that complies with the requirements of 21 CFR Part 56 will be responsible for the initial and continuing review and
					approval of the clinical investigation. I also agree to promptly report to the IRB all changes in the research activity and all unanticipated
					problems involving risks to human subjects or others. Additionally, I will not make any changes in the research without IRB approval, except
					where necessary to eliminate apparent immediate hazards to human subjects.</p>
					<p  class="small">I agree to comply with all other requirements regarding the obligations of clinical investigators and all other pertinent requirements in 21 CFR
					Part 312.</p></h6>
								</td>
							</tr>
							
						<tr height="250" class="section10">
								<td>
								<h2>INSTRUCTIONS FOR COMPLETING FORM FDA 1572 <br/>
STATEMENT OF INVESTIGATOR:</h2>
<p>1. Complete all sections. Attach a separate page if additional space is needed.</p><br/>
<p>2. Attach curriculum vitae or other statement of qualifications as described in Section 2.</p><br/>
<p>3. Attach protocol outline as described in Section 8.</p><br/>
<p>4. Sign and date below.</p><br/>
<p>5. FORWARD THE COMPLETED FORM AND ATTACHMENTS TO THE SPONSOR. The sponsor will incorporate
this information along with other technical data into an Investigational New Drug Application (IND). INVESTIGATORS SHOULD NOT SEND
THIS FORM DIRECTLY TO THE FOOD AND DRUG ADMINISTRATION</p><br/>

								</td>
							</tr>
				<table class="mainTable" width="1050">
						<tr height="50">
								<td width="80%">
								<h6>
								10. SIGNATURE OF INVESTIGATOR </h6>
								</td>
								<td>
								<h6>
								11. DATE</h6>
								</td>
							</tr>			
						</table>
						
					<table class="mainTable" width="1050">
						<tr height="20" class="sectionWarning">
								<td>
								<h6> <b>(WARNING:</b> A willfully false statement is a criminal offense. U.S.C. Title 18, Sec. 1001.).</h6>
								</td>
							</tr>				
						</table>
						<table class="bottomTable" width="1050">
								<tr>
								<td>
								<p class="smallest">Public reporting burden for this collection of information is estimated to average 100 hours per response, including the time for reviewing instructions,
						searching existing data sources, gathering and maintaining the data needed, and completing reviewing the collection of information. Send comments
						regarding this burden estimate or any other aspect of this collection of information, including suggestions for reducing this burden to:</p>
						</td>
						</tr>
						</table>
						<table class="bottomTable" width="1050">
						<tr class="section1"> <th>
						<p class="smallest" align="left">
						Department of Health and Human Services <br/>
						Food and Drug Administration <br/>
Office of the Chief Information Officer (HFA-710) <br/>
5600 Fishers Lane <br/>
Rockville, MD 20857</p>
</th>
<th>

						<p class="smallest">
						"An agency may not conduct or sponsor,
						and a   <br/>person is not required to respond to,
						a   <br/>collection of information unless it displays
						a   <br/>currently valid OMB control number." <br/>		</p>				</th>
</tr></table>
		<table class="verybottomTable" width="1050">
		<tr  class="sectionLast">
	
	
						<td >
						<p class="small" align="center">
						<b>Please DO NOT RETURN this application to this address.</b></p>
						</td>	</tr>
						
						<tr class="sectionLast">
							
						</tr>
				</table>
											<div class="extraSection">
						<tr >
								<td>
								</td>						
							</tr>
						</div>	
				</table>	
				<br/>
			</xsl:for-each>
			</body>
		</html>
	</xsl:template>
	
<xsl:template name="show-name">
<xsl:param name="name" /> 
	 <xsl:choose>
		 <xsl:when test="$name/v3:family">
			<xsl:value-of select="$name/v3:given" /> 
			 <xsl:text> </xsl:text>
			<xsl:value-of select="$name/v3:family" /> 
			<xsl:if test="string-length($name/v3:suffix)>0">
							<xsl:text>,</xsl:text> 
				<xsl:value-of select="$name/v3:suffix" /> 
			</xsl:if>
		</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$name" /> 
	</xsl:otherwise>
	</xsl:choose>
			<xsl:text>&#160;</xsl:text> 
			<xsl:text>&#160;</xsl:text> 
			<xsl:text>&#160;</xsl:text> 
</xsl:template>
  
  
<xsl:template name="show-address">
 <xsl:param name="address" /> 
  <xsl:text> </xsl:text>
	<xsl:choose>
	<xsl:when test="$address">
	<xsl:for-each select="$address/v3:streetAddressLine">
	  <xsl:value-of select="." /> 
	  </xsl:for-each>
<xsl:text>&#160;</xsl:text> 
<xsl:text>&#160;</xsl:text> 
<xsl:text>&#160;</xsl:text> 
	<xsl:if test="string-length($address/v3:city)>0">
	  <xsl:value-of select="$address/v3:city" /> 
	  </xsl:if>
	<xsl:if test="string-length($address/v3:state)>0">
	  <xsl:text>, </xsl:text> 
	  <xsl:value-of select="$address/v3:state" /> 
	  </xsl:if>
	<xsl:if test="string-length($address/v3:postalCode)>0">
	  <xsl:text>       </xsl:text> 
	  <xsl:value-of select="$address/v3:postalCode" /> 
	  </xsl:if>
	<xsl:if test="string-length($address/v3:country)>0">
	  <xsl:text>, </xsl:text> 
	  <xsl:value-of select="$address/v3:country" /> 
	  </xsl:if>
	  </xsl:when>
	  </xsl:choose>
  </xsl:template>
</xsl:stylesheet>