<?xml version="1.0" encoding="UTF-8"?>
<!--################################################### Copyright (c) 2010 U.S. Food and Drug AdministrationPermission is hereby granted, free of charge, to any person obtaining a copy of this software (Study Design XForm) and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, or sell copies of the Software or derivatives, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  THIS SOFTWARE IS PROVIDED WITHOUT ANY OBLIGATION TO PROVIDE MAINTENANCE OR OTHER SUPPORT."####################################################################-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:v3="urn:hl7-org:v3" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns="http://www.w3.org/1999/xhtml" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:str="http://exslt.org/strings" xmlns:exsl="http://exslt.org/common" xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="exsl msxsl v3 xsl xsi" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" media="print" href="file:///c:/xforms/xsl/1572stylePrint.css"/>
				<link rel="stylesheet" type="text/css" media="screen" href="file:///c:/xforms/xsl/1572style.css"/>
				<title>Form FDA 1572</title>
			</head>
			<body style="background-color:white;">
				<br/>
				<xsl:for-each select="v3:study/v3:primaryPerformer">
					<br/>
					<table class="mainTable" width="804">
						<tr>
							<td width="100%">
								<div class="sectionHeader">
									<table class="mainTableMult">
										<tr>
											<th width="65%" rowspan="2">
												<h2>DEPARTMENT OF HEALTH AND HUMAN SERVICES</h2>
												<h4>FOOD AND DRUG ADMINISTRATION</h4>
												<h1>STATEMENT OF THE INVESTIGATOR</h1>
												<h3>
													<b>
														<i>(TITLE 21, CODE OF FEDERAL REGULATIONS (CFR) PART 312)</i>
													</b>
												</h3>
												<h4>(See instructions on reverse side.)</h4>
											</th>
											<th>
												<h6>Form Approved: OMB No. 0910-0014 <br/> Expiration Date: August 31, 2011 <br/>
													<i> See OMB Statement on Reverse</i>
												</h6>
											</th>
										</tr>
										<tr>
											<th>
												<h6>
													<b>NOTE:</b> No Investigator may participate in an investigation until he/she provides the sponsor with a completed, signed Statement of the Investigator,		    Form FDA 1572(21 CFR 312.53©).</h6>
											</th>
										</tr>
									</table>
								</div>
							</td>
						</tr>
					</table>
					<table class="mainTable" width="804">
						<xsl:variable name="thisPrimaryPerformer" select="v3:investigator/v3:id/@extension"/>
						<tr class="section1">
							<td width="804">
								<table width="804" class="mainTableMult">
									<tr>
										<td width="100%" colspan="3">
											<h6>    1.  NAME AND ADDRESS OF INVESTIGATOR</h6>
										</td>
									</tr>
									<tr>
										<td width="100%" colspan="3">
											<h6>Name of Sponsor/Applicant/Submitter or Other</h6>
											<div class="data">
												<xsl:call-template name="show-name">
													<xsl:with-param name="name" select="v3:investigator/v3:investigatorPerson/v3:name"/>
												</xsl:call-template>
											</div>
										</td>
									</tr>
									<tr>
										<td width="50%">
											<h6>Address 1</h6>
											<div class="data">
												<xsl:text>&#160;</xsl:text>
												<xsl:value-of select="v3:investigator/v3:investigatorPerson/v3:addr/v3:streetAddressLine"/>
											</div>
										</td>
										<td width="50%" colspan="2">
											<h6>Address 2</h6>
											<xsl:text>&#160;</xsl:text>
										</td>
									</tr>
									<tr>
										<td width="50%">
											<h6>City</h6>
											<div class="data">
												<xsl:text>&#160;</xsl:text>
												<xsl:value-of select="v3:investigator/v3:investigatorPerson/v3:addr/v3:city"/>
											</div>
										</td>
										<td width="25%">
											<h6>State</h6>
											<div class="data">
												<xsl:text>&#160;</xsl:text>
												<xsl:value-of select="v3:investigator/v3:investigatorPerson/v3:addr/v3:state"/>
											</div>
										</td>
										<td width="25%">
											<h6>ZIP or Postal Code</h6>
											<div class="data">
												<xsl:text>&#160;</xsl:text>
												<xsl:value-of select="v3:investigator/v3:investigatorPerson/v3:addr/v3:postalCode"/>
											</div>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr class="section2">
							<td width="804">
								<table width="804" class="mainTableSingle">
									<tr>
										<td width="100%" colspan="2">
											<h6>2.  EDUCATION, TRAINING AND EXPERIENCE THAT QUALIFY THE INVESTIGATOR AS AN EXPERT IN THE CLINICAL INVESTIGATION OF THE DRUG FOR THE USE UNDER INVESTIGATION.  ONE OF THE FOLLOWING IS PROVIDED <i>(Select one of the following)</i>
											</h6>
										</td>
									</tr>
									<tr>
										<td width="50%" align="center">
											<input type="checkbox" name="button1" class="theCheckBoxes"/> Curriculum Vitae										</td>
										<td width="50%" align="center">
											<input type="checkbox" name="button1" class="theCheckBoxes"/> Other Statement of Qualifications										</td>
									</tr>
								</table>
								<!-- 		  <xsl:for-each select="v3:investigator/v3:investigatorPerson/v3:asLicensedEntity">		    <div class="data">		      <xsl:if test="string-length(v3:code/@code)>0">			<xsl:value-of select="v3:code/@code"/>  			<xsl:text>, </xsl:text> 		      </xsl:if>		      		      <xsl:call-template name="show-name">			<xsl:with-param name="name" select="v3:issuingOrganization/v3:name" /> 		      </xsl:call-template>		      <xsl:call-template name="show-address">			<xsl:with-param name="address" select="v3:issuingOrganization/v3:addr" /> 		    </xsl:call-template></div>		  </xsl:for-each>		  -->
							</td>
						</tr>
						<tr class="section3">
							<td width="804">
								<table width="804" class="mainTableMult">
									<tr>
										<td width="100%" colspan="3">
											<h6>3. NAME AND ADDRESS OF ANY MEDICAL SCHOOL, HOSPITAL, OR OTHER RESEARCH FACILITY<br/>WHERE THE CLINICAL INVESTIGATION(S) WILL BE CONDUCTED.</h6>
										</td>
									</tr>
									<xsl:for-each select="parent::v3:study/v3:component1/v3:studyActivitiesAtSite[v3:primaryPerformer/v3:investigator/v3:id/@extension = $thisPrimaryPerformer]">
										<xsl:for-each select="v3:location/v3:serviceDeliveryLocation[not(v3:location/v3:id/@extension = preceding::v3:serviceDeliveryLocation/v3:location/v3:id/@extension)]">
											<tr>
												<td width="100%" colspan="2">
													<h6>Name of Medical School, Hospital, or Other Research Facility</h6>
													<div class="data">
														<xsl:call-template name="show-name">
															<xsl:with-param name="name" select="v3:location/v3:name"/>
														</xsl:call-template>
													</div>
												</td>
											</tr>
											<tr>
												<td width="50%">
													<h6>Address 1</h6>
													<div class="data">
														<xsl:value-of select="v3:location/v3:addr/v3:streetAddressLine"/>
													</div>
												</td>
												<td width="50%" colspan="2">
													<h6>Address 2</h6>
												</td>
											</tr>
											<tr>
												<td width="50%">
													<h6>City</h6>
													<div class="data">
														<xsl:value-of select="v3:location/v3:addr/v3:city"/>
													</div>
												</td>
												<td width="25%">
													<h6>State</h6>
													<div class="data">
														<xsl:value-of select="v3:location/v3:addr/v3:state"/>
													</div>
												</td>
												<td width="25%">
													<h6>ZIP or Postal Code</h6>
													<div class="data">
														<xsl:value-of select="v3:location/v3:addr/v3:postalCode"/>
													</div>
												</td>
											</tr>
										</xsl:for-each>
									</xsl:for-each>
								</table>
							</td>
						</tr>
						<tr class="section4">
							<td width="804">
								<table class="mainTableMult" width="804">
									<tr>
										<td width="100%" colspan="3">
											<h6>4. NAME AND ADDRESS OF ANY CLINICAL LABORATORY FACILITIES TO BE USED IN THE STUDY.</h6>
										</td>
									</tr>
									<xsl:for-each select="parent::v3:study/v3:component1/v3:studyActivitiesAtSite[v3:primaryPerformer/v3:investigator/v3:id/@extension = $thisPrimaryPerformer]">
										<xsl:for-each select="v3:secondaryPerformer">
											<xsl:variable name="thisSecondaryPerformerCode" select="v3:serviceProvider/v3:code/@code"/>
											<xsl:variable name="thisSecondaryPerformer" select="v3:serviceProvider/v3:playingOrganization/v3:id/@extension"/>
											<xsl:if test="contains($thisSecondaryPerformerCode, 'C64207')">
												<xsl:if test="not(contains($thisSecondaryPerformerCode, 'Signatory'))">
													<xsl:for-each select="//v3:study/v3:secondaryPerformer/v3:serviceProvider/v3:playingOrganization[not(v3:id/@extension = preceding::v3:playingOrganization/v3:id/@extension)][v3:id/@extension = $thisSecondaryPerformer]">
														<tr>
															<td width="100%" colspan="3">
																<h6>Name of Clinical Laboratory Facility</h6>
																<div class="data">
																	<xsl:call-template name="show-name">
																		<xsl:with-param name="name" select="v3:name"/>
																	</xsl:call-template>
																</div>
															</td>
														</tr>
														<tr>
															<td width="50%">
																<h6>Address 1</h6>
																<div class="data">
																	<xsl:text>&#160;</xsl:text>
																	<xsl:value-of select="v3:addr/v3:streetAddressLine"/>
																</div>
															</td>
															<td width="50%" colspan="2">
																<h6>Address 2</h6>
															</td>
														</tr>
														<tr>
															<td width="50%">
																<h6>City</h6>
																<div class="data">
																	<xsl:text>&#160;</xsl:text>
																	<xsl:value-of select="v3:addr/v3:city"/>
																</div>
															</td>
															<td width="25%">
																<h6>State</h6>
																<div class="data">
																	<xsl:text>&#160;</xsl:text>
																	<xsl:value-of select="v3:addr/v3:state"/>
																</div>
															</td>
															<td width="25%">
																<h6>ZIP or Postal Code</h6>
																<div class="data">
																	<xsl:text>&#160;</xsl:text>
																	<xsl:value-of select="v3:addr/v3:postalCode"/>
																</div>
															</td>
														</tr>
													</xsl:for-each>
												</xsl:if>
											</xsl:if>
										</xsl:for-each>
									</xsl:for-each>
								</table>
							</td>
						</tr>
						<tr class="section5">
							<td width="804">
								<table class="mainTableMult" width="804">
									<tr>
										<td width="100%" colspan="3">
											<h6>5. NAME AND ADDRESS OF THE INSTITUTIONAL REVIEW BOARD(IRB) THAT IS RESPONSIBLE FOR REVIEW AND APPROVAL OF THE STUDY(IES).</h6>
										</td>
									</tr>
									<xsl:for-each select="parent::v3:study/v3:component1/v3:studyActivitiesAtSite[v3:primaryPerformer/v3:investigator/v3:id/@extension = $thisPrimaryPerformer]">
										<xsl:for-each select="v3:subject2/v3:subjectProtectionApproval/v3:verifier[not(v3:ethicalCommittee/v3:commissioningOrganization/v3:id/@extension = preceding::v3:verifier/v3:ethicalCommittee/v3:commissioningOrganization/v3:id/@extension)]">
											<tr>
												<td width="100%" colspan="3">
													<h6>Name of IRB</h6>
													<div class="data">
														<xsl:call-template name="show-name">
															<xsl:with-param name="name" select="v3:ethicalCommittee/v3:commissioningOrganization/v3:name"/>
														</xsl:call-template>
													</div>
												</td>
											</tr>
											<tr>
												<td width="50%">
													<h6>Address 1</h6>
													<div class="data">
														<xsl:text>&#160;</xsl:text>
														<xsl:value-of select="v3:ethicalCommittee/v3:commissioningOrganization/v3:addr/v3:streetAddressLine"/>
													</div>
												</td>
												<td width="50%" colspan="2">
													<h6>Address 2</h6>
												</td>
											</tr>
											<tr height="50">
												<td width="50%">
													<h6>City</h6>
													<div class="data">
														<xsl:text>&#160;</xsl:text>
														<xsl:value-of select="v3:ethicalCommittee/v3:commissioningOrganization/v3:addr/v3:city"/>
													</div>
												</td>
												<td width="25%">
													<h6>State</h6>
													<div class="data">
														<xsl:text>&#160;</xsl:text>
														<xsl:value-of select="v3:ethicalCommittee/v3:commissioningOrganization/v3:addr/v3:state"/>
													</div>
												</td>
												<td width="25%">
													<h6>ZIP or Postal Code</h6>
													<div class="data">
														<xsl:text>&#160;</xsl:text>
														<xsl:value-of select="v3:ethicalCommittee/v3:commissioningOrganization/v3:addr/v3:postalCode"/>
													</div>
												</td>
											</tr>
										</xsl:for-each>
									</xsl:for-each>
								</table>
							</td>
						</tr>
						<tr class="section6" height="150">
							<td width="804">
								<table class="mainTableSingle">
									<tr height="150">
										<td width="100%">
											<h6>6. NAMES OF THE SUBINVESTIGATORS <i>(If not applicable, enter "None")</i>
											</h6>
											<xsl:for-each select="parent::v3:study/v3:component1/v3:studyActivitiesAtSite[v3:primaryPerformer/v3:investigator/v3:id/@extension = $thisPrimaryPerformer]">
												<xsl:if test="v3:primaryPerformer/v3:investigator/v3:id/@extension = $thisPrimaryPerformer">
													<xsl:variable name="thisPrimaryPerformerCode" select="v3:primaryPerformer/v3:investigator[v3:id/@extension = $thisPrimaryPerformer]/v3:code/v3:originalText"/>
													<xsl:if test="$thisPrimaryPerformerCode = 'PRIMARY'">
														<xsl:for-each select="v3:primaryPerformer/v3:investigator[v3:code/v3:originalText='SUBINVESTIGATOR']">
															<xsl:variable name="thisPrimaryPerformerSubID" select="v3:id/@extension"/>
															<xsl:for-each select="//v3:study/v3:primaryPerformer[v3:investigator/v3:id/@extension = $thisPrimaryPerformerSubID]">
																<div class="data">
																	<xsl:call-template name="show-name">
																		<xsl:with-param name="name" select="v3:investigator/v3:investigatorPerson/v3:name"/>
																	</xsl:call-template>
																</div>
																<br/>
															</xsl:for-each>
														</xsl:for-each>
													</xsl:if>
												</xsl:if>
											</xsl:for-each>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr height="100" class="section7">
							<td width="804">
								<table class="mainTableSingle" width="804">
									<tr height="150">
										<td width="100%">
											<h6>7. NAME AND CODE NUMBER, IF ANY, OF THE PROTOCOL(S) IN THE IND FOR THE STUDY(IES) TO BE CONDUCTED BY THE INVESTIGATOR.</h6>
											<div class="data">
												<xsl:if test="string-length(/v3:study/v3:id[@root='2.16.840.1.113883.4.548.2']/@extension)>0">
													<h6>Sponsor-assigned Study ID</h6>
													<xsl:value-of select="/v3:study/v3:id[@root='2.16.840.1.113883.4.548.2']/@extension"/>
												</xsl:if>
												<xsl:if test="string-length(/v3:study/v3:id[@root='2.16.840.1.113883.1077']/@extension)>0">
													<br/>
													<br/>
													<h6>NCT Number</h6>
													<xsl:value-of select="/v3:study/v3:id[@root='2.16.840.1.113883.1077']/@extension"/>
												</xsl:if>
											</div>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					<table class="mainTable" width="804">
						<tr height="170" class="section8">
							<th width="804">
								<table class="mainTableSingle" width="804">
									<tr>
										<th width="100%">
											<h6>8. PROVIDE THE FOLLOWING CLINICAL PROTOCOL INFORMATION. <i>(Select one or both of the following.)</i>
												<br/>
												<br/>
												<p class="small">
													<input type="checkbox" name="button2"/> For Phase 1 investigations, a general outline of the planned investigation including the estimated duration of		the study and the maximum number of subjects that will be involved.													<br/>
													<br/>
													<input type="checkbox" name="button2"/>													For Phase 2 OR 3 investigations, an outline of the study protocol including an approximation of the number of													subjects to be treated with the drug and the number to be employed as controls, if any; the clinical uses to be													investigated; characteristics of subjects by age, sex, and condition; the kind of clinical observations and													laboratory tests to be conducted; the estimated duration of the study; and copies or a description of case													report forms to be used.												</p>
											</h6>
										</th>
									</tr>
								</table>
							</th>
						</tr>
						<tr height="330" class="section9">
							<td width="804">
								<table class="mainTableSingle" width="804">
									<tr>
										<td width="100%">
											<h6>9. COMMITMENTS:<br/>
												<br/>
												<p class="small">I agree to conduct the study(ies) in accordance with the relevant, current protocol(s) and will only make changes in a protocol after notifying		the sponsor, except when necessary to protect the safety, rights, or welfare of subjects.</p>
												<p class="small">I agree to personally conduct or supervise the described investigation(s).</p>
												<p class="small">I agree to inform any patients, or any persons used as controls, that the drugs are being used for investigational purposes and I will ensure		that the requirements relating to obtaining informed consent in 21 CFR Part 50 and institutional review board (IRB) review and approval in 21		CFR Part 56 are met.</p>
												<p class="small">I agree to report to the sponsor adverse experiences that occur in the course of the investigation(s) in accordance with 21 CFR 312.64.</p>
												<p class="small">I have read and understand the information in the investigator’s brochure, including the potential risks and side effects of the drug.</p>
												<p class="small">I agree to ensure that all associates, colleagues, and employees assisting in the conduct of the study(ies) are informed about their obligations		in meeting the above commitments.</p>
												<p class="small">I agree to maintain adequate and accurate records in accordance with 21 CFR 312.62 and to make those records available for inspection in		accordance with 21 CFR 312.68.</p>
												<p class="small">I will ensure that an IRB that complies with the requirements of 21 CFR Part 56 will be responsible for the initial and continuing review and		approval of the clinical investigation. I also agree to promptly report to the IRB all changes in the research activity and all unanticipated		problems involving risks to human subjects or others. Additionally, I will not make any changes in the research without IRB approval, except		where necessary to eliminate apparent immediate hazards to human subjects.</p>
												<p class="small">I agree to comply with all other requirements regarding the obligations of clinical investigators and all other pertinent requirements in 21 CFR		Part 312.</p>
											</h6>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr height="250" class="section10">
							<td width="804">
								<table class="mainTableSingle" width="804">
									<tr>
										<td width="100%">
											<h2>INSTRUCTIONS FOR COMPLETING FORM FDA 1572 <br/>		STATEMENT OF INVESTIGATOR:</h2>
											<p class="small">1. Complete all sections. Provide a separate page if additional space is needed.</p>
											<br/>
											<p class="small">2. Provide curriculum vitae or other statement of qualifications as described in Section 2.</p>
											<br/>
											<p class="small">3. Provide protocol outline as described in Section 8.</p>
											<br/>
											<p class="small">4. Sign and date below.</p>
											<br/>
											<p class="small">5. FORWARD THE COMPLETED FORM AND OTHER DOCUMENTS BEING PROVIDED TO THE SPONSOR. The sponsor will incorporate		this information along with other technical data into an Investigational New Drug Application (IND). INVESTIGATORS SHOULD NOT SEND		THIS FORM DIRECTLY TO THE FOOD AND DRUG ADMINISTRATION</p>
											<br/>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<table width="804" class="mainTableMult">
									<tr height="50">
										<td width="50%">
											<h6>10. SIGNATURE OF INVESTIGATOR </h6>
										</td>
										<td width="50%">
											<h6>11. DATE</h6>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr height="23">
							<td width="804">
								<table class="mainTableSingle">
									<tr class="sectionWarning">
										<td width="100%">
											<h6>
												<b>(WARNING:</b> A willfully false statement is a criminal offense. U.S.C. Title 18, Sec. 1001.).</h6>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>	      </td>
						</tr>
					</table>
					<table class="innerBottomTable" width="804">
						<tr>
							<td width="804">
								<table class="bottomTable" width="804">
									<tr>
										<td colspan="3">
											<p class="smallest">Public reporting burden for this collection of information is estimated to average 100 hours per response, including the time for reviewing instructions,		  searching existing data sources, gathering and maintaining the data needed, and completing reviewing the collection of information. Send comments		  regarding this burden estimate or any other aspect of this collection of information, including suggestions for reducing this burden to:</p>
										</td>
									</tr>
									<tr>
										<td width="38%">
											<p class="smallest" align="left">		      Department of Health and Human Services <br/>		      Food and Drug Administration <br/>		      Office of the Chief Information Officer (HFA-710) <br/>		      5600 Fishers Lane <br/>		    Rockville, MD 20857</p>
										</td>
										<td width="24%">
											<p class="small" align="center">
												<b>Please DO NOT RETURN this application to this address.</b>
											</p>
										</td>
										<td width="38%">
											<p class="smallest">		      "An agency may not conduct or sponsor,		      and a   <br/>person is not required to respond to,		      a   <br/>collection of information unless it displays		    a   <br/>currently valid OMB control number." <br/>
											</p>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					<br/>
					<br/>
					<p class="page"/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="show-name">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name/v3:family">
				<xsl:value-of select="$name/v3:given"/>
				<xsl:text> </xsl:text>
				<xsl:value-of select="$name/v3:family"/>
				<xsl:if test="string-length($name/v3:suffix)>0">
					<xsl:text>,</xsl:text>
					<xsl:value-of select="$name/v3:suffix"/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$name"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>&#160;</xsl:text>
		<xsl:text>&#160;</xsl:text>
		<xsl:text>&#160;</xsl:text>
	</xsl:template>
	<xsl:template name="show-address">
		<xsl:param name="address"/>
		<xsl:text> </xsl:text>
		<xsl:choose>
			<xsl:when test="$address">
				<xsl:for-each select="$address/v3:streetAddressLine">
					<xsl:value-of select="."/>
				</xsl:for-each>
				<xsl:text>&#160;</xsl:text>
				<xsl:text>&#160;</xsl:text>
				<xsl:text>&#160;</xsl:text>
				<xsl:if test="string-length($address/v3:city)>0">
					<xsl:value-of select="$address/v3:city"/>
				</xsl:if>
				<xsl:if test="string-length($address/v3:state)>0">
					<xsl:text>, </xsl:text>
					<xsl:value-of select="$address/v3:state"/>
				</xsl:if>
				<xsl:if test="string-length($address/v3:postalCode)>0">
					<xsl:text>       </xsl:text>
					<xsl:value-of select="$address/v3:postalCode"/>
				</xsl:if>
				<xsl:if test="string-length($address/v3:country)>0">
					<xsl:text>, </xsl:text>
					<xsl:value-of select="$address/v3:country"/>
				</xsl:if>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
