<?xml version="1.0" encoding="UTF-8"?>
<!--################################################### 
Copyright (c) 2010 U.S. Food and Drug Administration

Permission is hereby granted, free of charge, to any person obtaining a copy of this software (Study Design XForm) and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, or sell copies of the Software or derivatives, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  THIS SOFTWARE IS PROVIDED WITHOUT ANY OBLIGATION TO PROVIDE MAINTENANCE OR OTHER SUPPORT."
####################################################################-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:v3="urn:hl7-org:v3" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns="http://www.w3.org/1999/xhtml" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>

				</title>
				<style type="text/css">
					<xsl:text>
					.banner {
					  height:30px;
					  font-family:  Arial ;	 
					  margin-bottom: 10px;
					  background-repeat:no-repeat;
					background-color:rgb(23,82,159); 
					background-image:url('file:///c:/xforms/xsl/img/img_fdagov_hp_logo_type.png');
					background-position:  center left;
						border-radius: 10px;
					padding: 1em 1em 1em 1em;  	
					  font-size: 12pt;
					  color: white;
					  font-weight:bold;
					 text-align:right;}
					 
					 .documentInfo
					 {
					 margin-left: 30px;
					  font-size: 12pt;
					  color: black;
					  border: 1px;
					 }
					 .documentInfoLabel
					 {  
					 padding-right: 20px;
					  color: white;
					 }
					 					th 
					  {
						 background-color:rgb(23,82,159); 
						 color: white;
						 border: 1px black;
						 padding-left: 10px;
						 padding-right: 20px;
					  }
					td
					  {
						 border: 1px;
						 border-color: black;
						 border-style:solid;
						 padding-left: 10px;
						 padding-right: 20px;
					  }
					  h3
					  {
					 font-size: 12pt;
					 padding-bottom: 0px;
					 margin-left:40px;
					  }
					  p
					  {
					 font-size: 8pt;
					  }
					.tableOfContents
					{
						margin-left:40px;
					}
					
					.encounterTable
					{
						margin-left:40px;
					}
					
						.observationTable
					{
						margin-top: 4px;
						margin-left:60px;
					}
						.otherTables
					{
						margin-left:60px;
						margin-bottom: 5px;
						margin-top: 0px;
					}
					</xsl:text>
				</style>
				
				
			<script type="text/javascript">
				 function viewMenu(obj) 
				{var el = document.getElementById(obj);   
				if ( el.style.display != "none" )				 {     el.style.display = 'none';   }   				
				 else {     el.style.display = 'block';   } 				 menuHide2()
				 } 
				 
				 function viewMenu2(obj) 
				{var el = document.getElementById(obj);   
				if ( el.style.display != "none" )				 {     el.style.display = 'none';   }   
				 else {     el.style.display = 'block';   } 
				menuHide()
				 } 
				 
				  function menuHide() {   document.getElementById("bySubject").style.display='block'; document.getElementById("byObservation").style.display='none';  }
				  function menuHide2() {   document.getElementById("bySubject").style.display='none'; document.getElementById("byObservation").style.display='block';  }
				 
				 function hide()
				{   document.getElementById("bySubject").style.display='block'; document.getElementById("byObservation").style.display='none';  }
			</script>

			</head>
						<body onload="hide();">
				<h1 class="banner">
					<xsl:text>Toxicology - Subject Data Message v.0.0.1</xsl:text>
					<br/>
					<br/>
				</h1>
				<xsl:call-template name="documentInfo"/>
			
				<div id="bySubject">
				 <br/>
				<button  height="12" width="12" onclick="viewMenu('byObservation');">
			 <a  title="Test">View By Observation</a></button><br/>

				<xsl:call-template name="toc"/>
				<br/>
				<br/>
				<hr align="center" color="rgb(23,82,159)" size="2" width="95%"/>
				<br/>
				<br/>
				<xsl:for-each select="//v3:subject1/v3:experimentalUnit">
					<xsl:call-template name="ObservationsResults">
						<xsl:with-param name="subjectID" select="./v3:subjectNonPersonLivingSubject/v3:id/@extension"/>
						<xsl:with-param name="studyID" select="//v3:study/v3:instantiation/v3:plannedStudy/v3:id/@root"/>
					</xsl:call-template>
				</xsl:for-each>
				<br/>
				<br/>
				<br/>
			</div>

			<div id="byObservation">
			 <br/>
			<button  height="12" width="12" onclick="viewMenu2('bySubject');">
			 <a title="Test">View By Subject</a></button> <br/>

				<xsl:call-template name="toc2"/>
				<br/>
				<br/>
				<hr align="center" color="rgb(23,82,159)" size="2" width="95%"/>
				<br/>
				<br/>
				
				
					<xsl:call-template name="ObservationsResults2">
							<xsl:with-param name="studyID" select="//v3:study/v3:instantiation/v3:plannedStudy/v3:id/@root"/>
					</xsl:call-template>
				
							
				</div>	
				
			</body>
		</html>
	</xsl:template>
	
		<!--   ObservationsResults Template  -->
	<xsl:template name="ObservationsResults">
		<xsl:param name="subjectID"/>
		<xsl:param name="studyID"/>		<xsl:variable name="subjectFileName" select="concat('StudySubjectData_', $studyID, '_',   $subjectID,'.xml')"/>
		<h2>Observations and Results <h6>
				<a name="{generate-id($subjectID)}" href="#toc"> Return to TOC     </a>
			</h6>
		</h2>
		<h3>
			<xsl:text>Subject:  </xsl:text>
			<xsl:value-of select="$subjectID"/>
		</h3>
		<h3>Clinical Signs</h3>
		<xsl:if test="string-length(document($subjectFileName)/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='StudyObservations']/v3:entry/v3:encounter/v3:id/@extension) > 1">
			<table class="observationTable">
				<tbody>
					<tr>
						<!--							<th>Code System</th>
								<th>Code</th>-->
						<th>Observation Taken</th>
						<th>Observation</th>
						<th>Date/Time</th>
					</tr>
					<xsl:call-template name="observation">
						<xsl:with-param name="observationCode" select="'C3367'"/>
						<xsl:with-param name="subjectFileName" select="$subjectFileName"/>
					</xsl:call-template>
				</tbody>
			</table>
		</xsl:if>
		
		<h3>Body Weights</h3>
		<xsl:if test="string-length(document($subjectFileName)/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='StudyObservations']/v3:entry/v3:encounter/v3:id/@extension) > 1">
			<table class="observationTable">
				<tbody>
					<tr>
						<!--							<th>Code System</th>
								<th>Code</th>-->
						<th>Observation Taken</th>
						<th>Observation</th>
						<th>Date/Time</th>
					</tr>
					<xsl:call-template name="observation">
						<xsl:with-param name="observationCode" select="'C81328'"/>
						<xsl:with-param name="subjectFileName" select="$subjectFileName"/>
					</xsl:call-template>
				</tbody>
			</table>
		</xsl:if>
		
		<h3>Feed Consumption</h3>
		<xsl:if test="string-length(document($subjectFileName)/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='StudyObservations']/v3:entry/v3:encounter/v3:id/@extension) > 1">
			<table class="observationTable">
				<tbody>
					<tr>
						<!--							<th>Code System</th>
								<th>Code</th>-->
						<th>Observation Taken</th>
						<th>Observation</th>
						<th>Date/Time</th>
					</tr>
					<xsl:call-template name="observation">
						<xsl:with-param name="observationCode" select="'C90384'"/>
						<xsl:with-param name="subjectFileName" select="$subjectFileName"/>
					</xsl:call-template>
				</tbody>
			</table>
		</xsl:if>
		
		<h3>Clinical Chemistry</h3>
		<xsl:if test="string-length(document($subjectFileName)/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='StudyObservations']/v3:entry/v3:encounter/v3:id/@extension) > 1">
			<xsl:call-template name="encounter">
				<xsl:with-param name="subjectFileName" select="$subjectFileName"/>
				<xsl:with-param name="observationSet" select="'Chemistry'"/>
			</xsl:call-template>
		</xsl:if>
		
		<h3>Urinalysis</h3>
		<xsl:if test="string-length(document($subjectFileName)/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='StudyObservations']/v3:entry/v3:encounter/v3:id/@extension) > 1">
			<xsl:call-template name="encounter">
				<xsl:with-param name="subjectFileName" select="$subjectFileName"/>
				<xsl:with-param name="observationSet" select="'Urinalysis'"/>
			</xsl:call-template>
		</xsl:if>
		
		<h3>Toxicokinetics</h3>
					<xsl:call-template name="encounter">
				<xsl:with-param name="subjectFileName" select="$subjectFileName"/>
				<xsl:with-param name="observationSet" select="'Toxi'"/>
			</xsl:call-template>
		
		<h3>Mortality (Gross Pathology - Histopathology - Organ Weights)</h3>
			<xsl:call-template name="encounter">
				<xsl:with-param name="subjectFileName" select="$subjectFileName"/>
				<xsl:with-param name="observationSet" select="'Sacrifice'"/>
			</xsl:call-template>
		<br/>
		<br/>
		<br/>
		<br/>
	</xsl:template>
	
			<!--   ObservationsResults Template  -->
	<xsl:template name="ObservationsResults2">
		<xsl:param name="studyID"/>	
		<h2>Observations and Results <h6>
			</h6>
		</h2>

		<h3 id="cs">Clinical Signs</h3>	
		<blockquote><h6><a href="#toc"> Return to TOC </a></h6></blockquote>
			<table class="observationTable">
				<tbody>					
				<tr>
						<th>Subject</th>
						<th>Observation Taken</th>
						<th>Observation</th>
						<th>Date/Time</th>
					</tr>
					<xsl:for-each select="//v3:experimentalUnit">
					<xsl:variable name="subjectID2" select="./v3:subjectNonPersonLivingSubject/v3:id/@extension"/>
						<xsl:variable name="subjectFileName2" select="concat('StudySubjectData_', $studyID, '_',   $subjectID2,'.xml')"/>

					<xsl:call-template name="observation2">
						<xsl:with-param name="observationCode" select="'C3367'"/>
						<xsl:with-param name="subjectFileName2" select="$subjectFileName2"/>
						<xsl:with-param name="subjectID2" select="$subjectID2"/>
					</xsl:call-template>
							</xsl:for-each>
					
				</tbody>
			</table>

		
		<h3 id="bw">Body Weights</h3>
		<blockquote><h6><a href="#toc"> Return to TOC </a></h6></blockquote>
			<table class="observationTable">
			<tbody>
				<tr>
						<th>Subject</th>
						<th>Observation Taken</th>
						<th>Observation</th>
						<th>Date/Time</th>
					</tr>
					<xsl:for-each select="//v3:experimentalUnit">
					<xsl:variable name="subjectID2" select="./v3:subjectNonPersonLivingSubject/v3:id/@extension"/>
						<xsl:variable name="subjectFileName2" select="concat('StudySubjectData_', $studyID, '_',   $subjectID2,'.xml')"/>

					<xsl:call-template name="observation2">
						<xsl:with-param name="observationCode" select="'C81328'"/>
						<xsl:with-param name="subjectFileName2" select="$subjectFileName2"/>
						<xsl:with-param name="subjectID2" select="$subjectID2"/>
					</xsl:call-template>
							</xsl:for-each>
				</tbody>
			</table>
		
		<h3 id="fc">Feed Consumption</h3>
		<blockquote><h6><a href="#toc"> Return to TOC </a></h6></blockquote>
			<table class="observationTable">
				<tbody>
				<tr>
						<th>Subject</th>
						<th>Observation Taken</th>
						<th>Observation</th>
						<th>Date/Time</th>
					</tr>
					<xsl:for-each select="//v3:experimentalUnit">
					<xsl:variable name="subjectID2" select="./v3:subjectNonPersonLivingSubject/v3:id/@extension"/>
						<xsl:variable name="subjectFileName2" select="concat('StudySubjectData_', $studyID, '_',   $subjectID2,'.xml')"/>

					<xsl:call-template name="observation2">
						<xsl:with-param name="observationCode" select="'C90384'"/>
						<xsl:with-param name="subjectFileName2" select="$subjectFileName2"/>
						<xsl:with-param name="subjectID2" select="$subjectID2"/>
					</xsl:call-template>
							</xsl:for-each>
				</tbody>
			</table>
		
		<h3 id="cc">Clinical Chemistry</h3>
			<blockquote><h6><a href="#toc"> Return to TOC </a></h6></blockquote>
			<xsl:call-template name="encounter2">
				<xsl:with-param name="observationSet" select="'Chemistry'"/>
				<xsl:with-param name="studyID" select="$studyID"/>
			</xsl:call-template>

		<h3 id="u">Urinalysis</h3>
		<blockquote><h6><a href="#toc"> Return to TOC </a></h6></blockquote>
			<xsl:call-template name="encounter2">
				<xsl:with-param name="observationSet" select="'Urinalysis'"/>
				<xsl:with-param name="studyID" select="$studyID"/>
			</xsl:call-template>
		
	<h3 id="t">Toxicokinetics</h3>
	<blockquote><h6><a href="#toc"> Return to TOC </a></h6></blockquote>
					<xsl:call-template name="encounter2">
				<xsl:with-param name="observationSet" select="'Toxico'"/>
				<xsl:with-param name="studyID" select="$studyID"/>
			</xsl:call-template>
			
			
			<h3 id="m">Mortality (Gross Pathology - Histopathology - Organ Weights)</h3>
					<blockquote><h6><a href="#toc"> Return to TOC </a></h6></blockquote>
			<xsl:call-template name="encounter2">
				<xsl:with-param name="studyID" select="$studyID"/>
				<xsl:with-param name="observationSet" select="'Mortality'"/>
			</xsl:call-template>
		<br/>
		<br/>
		<br/>
		<br/>
	</xsl:template>
	
			<!--   toc Template  -->
	<xsl:template name="toc">
		<div class="tableOfContents">
			<h2>
				<a id="toc">Table of Contents (Subjects)</a>
			</h2>
			<xsl:for-each select="//v3:subject1/v3:experimentalUnit">
				<xsl:sort select="v3:subjectNonPersonLivingSubject/v3:id/@extension" order="ascending" data-type="number"/>
				<li>
					<xsl:variable name="thisSubject" select="v3:subjectNonPersonLivingSubject/v3:id/@extension"/>
					<a href="#{generate-id($thisSubject)}">
						<xsl:value-of select="$thisSubject"/>
					</a>
				</li>
			</xsl:for-each>
		</div>
	</xsl:template>
	
	
<!--   toc Template  -->
	<xsl:template name="toc2">
		<div class="tableOfContents">
			<h2>
				<a id="toc">Table of Contents (Observations)</a>
			</h2>
				<li>
					
					<a href="#cs">	Clinical Signs</a>
				</li>
				
					<li>
					<a  href="#bw">
						Body Weights
					</a>
				</li>				
				<li>
					<a href="#fc">
						Feed Consumption
					</a>
				</li>				
				<li>
						<a href="#cc">
						Clinical Chemistry
					</a>
				</li>				
				<li>
						<a href="#u">
						Urinalysis
					</a>
				</li>				
				<li>
						<a href="#t">
						Toxicokinetics
					</a>
				</li>	
				<li>
						<a href="#m">
						Mortality
					</a>
				</li>	
			

		</div>
	</xsl:template>
	
	
	
		<!--   documentInfo Template  -->
	<xsl:template name="documentInfo">
		<table class="documentInfo">
			<tbody>
				<tr>
					<td width="35%" bgcolor="rgb(23,82,159)">
						<span class="documentInfoLabel">
							<xsl:text>Study title:  </xsl:text>
						</span>
					</td>
					<td width="65%">
						<xsl:value-of select="/v3:study/v3:instantiation/v3:plannedStudy/v3:id/@extension"/>
					</td>
				</tr>
				<tr>
					<td width="35%" bgcolor="rgb(23,82,159)">
						<span class="documentInfoLabel">
							<xsl:text>Study no.:</xsl:text>
						</span>
					</td>
					<td width="65%">
						<xsl:value-of select="/v3:study/v3:instantiation/v3:plannedStudy/v3:id/@root"/>
					</td>
				</tr>
				<tr>
					<td width="35%" bgcolor="rgb(23,82,159)">
						<span class="documentInfoLabel">
							<xsl:text>Conducting laboratory and location:</xsl:text>
						</span>
					</td>
					<td width="65%">
							<xsl:value-of select="/v3:study/v3:component1/v3:studyActivitiesAtSite/v3:location/v3:serviceDeliveryLocation/v3:location[v3:code/@code='Laboratory']/v3:name"/>
							<xsl:text> </xsl:text>
							<xsl:value-of select="/v3:study/v3:component1/v3:studyActivitiesAtSite/v3:location/v3:serviceDeliveryLocation/v3:location[v3:code/@code='Laboratory']/v3:addr/v3:streetAddressLine"/>
							<xsl:text> </xsl:text>
							<xsl:value-of select="/v3:study/v3:component1/v3:studyActivitiesAtSite/v3:location/v3:serviceDeliveryLocation/v3:location[v3:code/@code='Laboratory']/v3:addr/v3:city"/>
							<xsl:text>, </xsl:text>
							<xsl:value-of select="/v3:study/v3:component1/v3:studyActivitiesAtSite/v3:location/v3:serviceDeliveryLocation/v3:location[v3:code/@code='Laboratory']/v3:addr/v3:state"/>
							<xsl:text> </xsl:text>
							<xsl:value-of select="/v3:study/v3:component1/v3:studyActivitiesAtSite/v3:location/v3:serviceDeliveryLocation/v3:location[v3:code/@code='Laboratory']/v3:addr/v3:postalCode"/>

					</td>
				</tr>
				<tr>
					<td width="35%" bgcolor="rgb(23,82,159)">
						<span class="documentInfoLabel">
							<xsl:text>GLP compliance:</xsl:text>
						</span>
					</td>
					<td width="65%">
			<xsl:variable name="plannedStudyID" select="'TOX6970'"/>
					<xsl:variable name="studyDesignFileName" select="concat('StudyDesign_',$plannedStudyID,'.xml')"/>	
	<xsl:if test="string-length(document($studyDesignFileName)/v3:plannedStudy/v3:id/@root) > 1">
						<xsl:value-of select="document($studyDesignFileName)/v3:plannedStudy/v3:subjectOf/v3:studyCharacteristic[v3:code/@code = 'GLP']/v3:value"/>
						</xsl:if>
					</td>
				</tr>
			</tbody>
		</table>
	</xsl:template>
	
	<!--   break Template  -->
	<xsl:template name="break">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="contains($text, '&#xa;')">
				<xsl:value-of select="substring-before($text, '&#xa;')"/>
				<br/>
				<xsl:call-template name="break">
					<xsl:with-param name="text" select="substring-after($text,'&#xa;')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--   Encounter Template  -->
	<xsl:template name="encounter">
		<xsl:param name="subjectFileName"/>
		<xsl:param name="observationSet"/>
		<table class="observationTable">
			<tbody>
				<tr>
					<!--<th>Code System</th>
						<th>Code</th>-->
					<th>Observation Taken</th>
					<th>Observation</th>
					<th>Time</th>
				</tr>
				
				<xsl:for-each select="document($subjectFileName)//v3:entry">
				<xsl:sort select="v3:encounter/v3:effectiveTime/@value" order="ascending"/>
					<xsl:variable name="checkType" select="v3:encounter/v3:id/@extension"/>
					
					<xsl:if test="contains($checkType, $observationSet)">
						<xsl:for-each select="v3:encounter/v3:sourceOf2">
							<tr>
								<td>
									<xsl:value-of select="v3:observation/v3:code/@displayName"/>
								</td>
								<td>
									<xsl:value-of select="v3:observation/v3:value"/>
								</td>
								<td>
									<xsl:value-of select="v3:observation/v3:effectiveTime/@value"/>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:if>
				</xsl:for-each>
			</tbody>
		</table>
		<br/>
		<br/>
	</xsl:template>
	
		<!--   Encounter Template  -->
	<xsl:template name="encounter2">
		<xsl:param name="observationSet"/>
		<xsl:param name="studyID"/>
		<table class="observationTable">
			<tbody>
				<tr>
					<!--<th>Code System</th>-->
					<th>Subject</th>
					<th>Observation Taken</th>
					<th>Observation</th>
					<th>Time</th>
				</tr>
					<xsl:for-each select="//v3:experimentalUnit">
					<xsl:variable name="subjectID2" select="./v3:subjectNonPersonLivingSubject/v3:id/@extension"/>
					<xsl:variable name="subjectFileName2" select="concat('StudySubjectData_', $studyID, '_',   $subjectID2,'.xml')"/>
						
				<xsl:for-each select="document($subjectFileName2)//v3:entry">
				<xsl:sort select="v3:encounter/v3:effectiveTime/@value" order="ascending"/>
					<xsl:variable name="checkType" select="v3:encounter/v3:id[1]/@extension"/>
					
					
					<xsl:choose>
						<xsl:when test="$observationSet = 'Mortality'">
							<xsl:if test="contains($checkType, 'Mortality') or contains($checkType, 'Sacrifice')">
										
						<xsl:for-each select="v3:encounter/v3:sourceOf2">
							<tr>
							<td>
									<xsl:value-of select="$subjectID2"/>
								</td>
								<td>
									<xsl:value-of select="v3:observation/v3:code/@displayName"/>
								</td>
								<td>
									<xsl:value-of select="v3:observation/v3:value"/>
								</td>
								<td>
									<xsl:value-of select="v3:observation/v3:effectiveTime/@value"/>
								</td>
							</tr>
						</xsl:for-each>	
						</xsl:if>
						</xsl:when>
					
					<xsl:otherwise>
						<xsl:if test="contains($checkType, $observationSet)">
							<xsl:for-each select="v3:encounter/v3:sourceOf2">
							<tr>
							<td>
									<xsl:value-of select="$subjectID2"/>
								</td>
								<td>
									<xsl:value-of select="v3:observation/v3:code/@displayName"/>
								</td>
								<td>
									<xsl:value-of select="v3:observation/v3:value"/>
								</td>
								<td>
									<xsl:value-of select="v3:observation/v3:effectiveTime/@value"/>
								</td>
							</tr>
						</xsl:for-each>	
						</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				
				</xsl:for-each>
				</xsl:for-each>
			</tbody>
		</table>
		<br/>
		<br/>
	</xsl:template>
	
	<!--   Observation Template  -->
	<xsl:template name="observation">
		<xsl:param name="observationCode"/>
		<xsl:param name="subjectFileName"/>
		<xsl:for-each select="document($subjectFileName)//v3:entry/v3:encounter/v3:sourceOf2[v3:observation/v3:code/@code=$observationCode]">
			<xsl:sort select="v3:observation/v3:effectiveTime/@value" order="ascending"/>
			<tr>
				<!--		<td>
				<xsl:value-of select="v3:observation/v3:code/@codeSystem"/>
			</td>
			<td>
				<xsl:value-of select="v3:observation/v3:code/@code"/>
			</td>-->
				<td>
					<xsl:value-of select="v3:observation/v3:code/@displayName"/>
				</td>
				<td>
					<xsl:value-of select="v3:observation/v3:value"/>
				</td>
				<td>
					<xsl:value-of select="v3:observation/v3:effectiveTime/@value"/>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
		<!--   Observation Template  -->
	<xsl:template name="observation2">
		<xsl:param name="observationCode"/>
		<xsl:param name="subjectFileName2"/>
		<xsl:param name="subjectID2"/>
		<xsl:for-each select="document($subjectFileName2)//v3:entry/v3:encounter/v3:sourceOf2[v3:observation/v3:code/@code=$observationCode]">
			<xsl:sort select="v3:observation/v3:effectiveTime/@value" order="ascending"/>
			<tr>
				<!--		<td>
				<xsl:value-of select="v3:observation/v3:code/@codeSystem"/>
			</td>-->
			<td>
				<xsl:value-of select="$subjectID2"/>
			</td>
				<td>
					<xsl:value-of select="v3:observation/v3:code/@displayName"/>
				</td>
				<td>
					<xsl:value-of select="v3:observation/v3:value"/>
				</td>
				<td>
					<xsl:value-of select="v3:observation/v3:effectiveTime/@value"/>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
	
	<!-- displayName	  -->
	<xsl:template name="displayName">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name/v3:family">
				<xsl:value-of select="$name/v3:given"/>
				<xsl:text> </xsl:text>
				<xsl:value-of select="$name/v3:family"/>
				<xsl:if test="string-length($name/v3:suffix) > 1">
					<xsl:text>,</xsl:text>
					<xsl:value-of select="$name/v3:suffix"/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$name"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!-- displayAddress	  -->
	<xsl:template name="displayAddress">
		<xsl:param name="address"/>
		<xsl:if test="string-length($address/v3:streetAddressLine) > 1">
			<td>
				<xsl:value-of select="v3:addr/v3:streetAddressLine"/>
			</td>
			<td>
				<xsl:value-of select="v3:addr/v3:city"/>
			</td>
			<td>
				<xsl:value-of select="v3:addr/v3:state"/>
			</td>
			<td>
				<xsl:value-of select="v3:addr/v3:postalCode"/>
			</td>
		</xsl:if>
		<xsl:if test="string-length(/v3:addr/v3:streetAddressLine) = ''">
			<td>
				<xsl:text>address is not available</xsl:text>
			</td>
		</xsl:if>
		<br/>
	</xsl:template>
</xsl:stylesheet>
