<?xml version="1.0" encoding="UTF-8"?>
<!--################################################### 
Copyright (c) 2010 U.S. Food and Drug Administration

Permission is hereby granted, free of charge, to any person obtaining a copy of this software (Study Design XForm) and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, or sell copies of the Software or derivatives, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  THIS SOFTWARE IS PROVIDED WITHOUT ANY OBLIGATION TO PROVIDE MAINTENANCE OR OTHER SUPPORT."
####################################################################-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:v3="urn:hl7-org:v3" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns="http://www.w3.org/1999/xhtml" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:str="http://exslt.org/strings" xmlns:exsl="http://exslt.org/common" xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="exsl msxsl v3 xsl xsi" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>
					<xsl:value-of select="/v3:document/v3:title"/>
				</title>
				<style type="text/css">
					<xsl:text>
					.banner {
					  height:30px;
					  font-family:  Arial ;	 
					  margin-bottom: 10px;
					  background-repeat:no-repeat;
					background-color:rgb(23,82,159); 
					background-image:url('file:///c:/xforms/xsl/img/img_fdagov_hp_logo_type.png');
					background-position:  center left;
						border-radius: 10px;
					padding: 1em 1em 1em 1em;  	
					  font-size: 12pt;
					  color: white;
					  font-weight:bold;
					 text-align:right;}
					 
					 .documentInfo
					 {
					 margin-left: 30px;
					  font-size: 12pt;
					  color: black;
					  border: 1px;
					 }
					 .documentInfoLabel
					 {  
					 padding-right: 20px;
					  color: white;
					 }
					 					th 
					  {
						 background-color:rgb(23,82,159); 
						 color: white;
						 border: 1px black;
						 padding-left: 10px;
						 padding-right: 20px;
					  }
					td
					  {
						 border: 1px;
						 border-color: black;
						 border-style:solid;
						 padding-left: 10px;
						 padding-right: 20px;
					  }
					  h3
					  {
					 font-size: 12pt;
					 padding-bottom: 0px;
					 margin-left:40px;
					  }

					.tableOfContents
					{
						margin-left:40px;
					}
					
					.encounterTable
					{
						margin-left:40px;
					}
					
						.observationTable
					{
						margin-top: 4px;
						margin-left:60px;
					}
						.otherTables
					{
						margin-left:60px;
						margin-bottom: 5px;
						margin-top: 0px;
					}
					</xsl:text>
				</style>
			</head>
			<body>
				<h1 class="banner">
					<xsl:text>Regulated Studies - Subject Data Message v.0.0.1</xsl:text>
					<br/>
					<br/>
				</h1>
				<xsl:call-template name="documentInfo"/>
				<xsl:call-template name="toc"/>
				<br/>
				<br/>		

				<hr align="center" color="rgb(23,82,159)" size="2" width="95%"/>
				<br/>
				<br/>	
				<h3><xsl:text>Subject of Document : </xsl:text><xsl:value-of select="/v3:document/v3:subject/v3:researchSubject/v3:id/@extension"/></h3>	
	
				<xsl:if test="string-length(/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='Summary']/v3:text) > 1">
				<xsl:call-template name="narrative">
					<xsl:with-param name="thisNarrative" select="/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='Summary']/v3:text"/>
				</xsl:call-template>
				<br/>
				<br/>		
				<br/>
				</xsl:if>

						
				<xsl:if test="string-length(/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='StudyObservations']/v3:entry/v3:encounter/v3:id/@extension) > 1">
			<xsl:call-template name="encounter">
					<xsl:with-param name="thisEncounter" select="/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='StudyObservations']/v3:entry/v3:encounter/v3:id/@extension"/>
				</xsl:call-template>
				</xsl:if>
				<br/>
				<br/>		
				<br/>
				<br/>				
					<xsl:if test="string-length(/v3:document/v3:performer/v3:assignedAuthor/v3:id/@extension) > 1">
				<xsl:call-template name="performer">
					<xsl:with-param name="thisPerformer" select="/v3:document/v3:performer/v3:assignedAuthor/v3:id/@extension"/>
				</xsl:call-template>
				</xsl:if>
				<br/>
				<br/>		
				<br/>

				<xsl:if test="string-length(/v3:document/v3:author/v3:assignedAuthor/v3:id/@extension) > 1">
				<xsl:call-template name="author">
					<xsl:with-param name="thisAuthor" select="/v3:document/v3:author/v3:assignedAuthor/v3:id/@extension"/>
				</xsl:call-template>
				</xsl:if>
				<br/>
				<br/>		
				<br/>
		
				<xsl:if test="string-length(/v3:document/v3:dataEnterer/v3:assignedPerson/v3:id/@extension) > 1">
				<xsl:call-template name="dataEnterer">
					<xsl:with-param name="thisDataEnterer" select="/v3:document/v3:dataEnterer/v3:assignedPerson/v3:id/@extension"/>
				</xsl:call-template>
				</xsl:if>
				<br/>
				<br/>
				<br/>		
		
				<xsl:if test="string-length(/v3:document/v3:verifier/v3:assignedPerson/v3:id/@extension) > 1">
				<xsl:call-template name="verifier">
					<xsl:with-param name="thisVerifier" select="/v3:document/v3:verifier/v3:assignedPerson/v3:id/@extension"/>
				</xsl:call-template>
				</xsl:if>
				<br/>
				<br/>	
				<br/>
				<br/>	
				<br/>
				<br/>
				<br/>	

			</body>
		</html>
	</xsl:template>
	
	<xsl:template name="documentInfo">
		<table class="documentInfo">
			<tbody>
				<tr>
					<td width="20%" bgcolor="rgb(23,82,159)">
						<span class="documentInfoLabel">
							<xsl:text>Document Identifier </xsl:text>
						</span>
					</td>
					<td width="80%">
						<xsl:value-of select="/v3:document/v3:id/@root"/>
						<xsl:text> - </xsl:text>
						<xsl:value-of select="/v3:document/v3:id/@extension"/>
					</td>
				</tr>
				<tr>
					<td width="20%" bgcolor="rgb(23,82,159)">
						<span class="documentInfoLabel">
							<xsl:text>Document Title</xsl:text>
						</span>
					</td>
					<td width="80%">
						<xsl:value-of select="/v3:document/v3:title"/>
					</td>
				</tr>
				<tr>
					<td width="20%" bgcolor="rgb(23,82,159)">
						<span class="documentInfoLabel">
							<xsl:text>Version Number</xsl:text>
						</span>
					</td>
					<td width="80%">
						<xsl:value-of select="/v3:document/v3:versionNumber/@value"/>
					</td>
				</tr>
				<tr>
					<td width="20%" bgcolor="rgb(23,82,159)">
						<span class="documentInfoLabel">
							<xsl:text>Set Identifier</xsl:text>
						</span>
					</td>
					<td width="80%">
						<xsl:value-of select="/v3:document/v3:setId/@extension"/>
					</td>
				</tr>
				<tr>
					<td width="20%" bgcolor="rgb(23,82,159)">
						<span class="documentInfoLabel">
							<xsl:text>Document Created</xsl:text>
						</span>
					</td>
					<td width="80%">
						<xsl:value-of select="/v3:document/v3:effectiveTime/@value"/>
					</td>
				</tr>
			</tbody>
		</table>
	</xsl:template>
	
	<xsl:template name="toc">

		<div class="tableOfContents">
			<h2>
					<a  id="toc">Table of Contents</a>
				</h2>
		<li>
			<xsl:variable name="thisNarrative" select="/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='Summary']/v3:text"/>
			<a href="#{generate-id($thisNarrative)}">
				<xsl:text>Summary Narrative</xsl:text>
			</a>
		</li>
		<li>
			<xsl:variable name="thisEncounter" select="/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='StudyObservations']/v3:entry/v3:encounter/v3:id/@extension"/>
			<a href="#{generate-id($thisEncounter)}">
				<xsl:text>Encounters</xsl:text>
			</a>
<!--
			<ul>
					<xsl:for-each select="/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='StudyObservations']/v3:entry">
					
					<xsl:sort select="v3:encounter/v3:effectiveTime/@value" order="descending"/>
					<xsl:variable name="thisEncounterDate" select="v3:encounter/v3:effectiveTime/@value"/>
					<li>
					<a href="#{generate-id($thisEncounterDate)}"> <xsl:value-of select="$thisEncounterDate"/> </a>		
					</li>
					</xsl:for-each>
				</ul>-->
		</li>	

		<xsl:if test="string-length(/v3:document/v3:performer/v3:assignedAuthor/v3:id/@extension) > 1">
		<li>
			<xsl:variable name="thisPerformer" select="/v3:document/v3:performer/v3:assignedAuthor/v3:id/@extension"/>
			<a href="#{generate-id($thisPerformer)}">
					<xsl:choose>
			<xsl:when test="count(/v3:document/v3:performer/v3:assignedAuthor) = 1">
				<xsl:text>Performer</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:text>Performers</xsl:text>
				</xsl:otherwise>
				</xsl:choose>
			</a>
		</li>				
		</xsl:if>
		<xsl:if test="string-length(/v3:document/v3:author/v3:assignedAuthor/v3:id/@extension) > 1">
		<li>
			<xsl:variable name="thisAuthor" select="/v3:document/v3:author/v3:assignedAuthor/v3:id/@extension"/>
			<a href="#{generate-id($thisAuthor)}">
									<xsl:choose>
			<xsl:when test="count(/v3:document/v3:author/v3:assignedAuthor) = 1">
				<xsl:text>Author</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:text>Authors</xsl:text>
				</xsl:otherwise>
				</xsl:choose>
			</a>
		</li>		
		</xsl:if>
		
	  <xsl:if test="string-length(/v3:document/v3:dataEnterer/v3:assignedPerson/v3:id/@extension) > 1">
		<li>
			<xsl:variable name="thisDataEnterer" select="/v3:document/v3:dataEnterer/v3:assignedPerson/v3:id/@extension"/>
			<a href="#{generate-id($thisDataEnterer)}">
							<xsl:choose>
			<xsl:when test="count(/v3:document/v3:dataEnterer/v3:assignedPerson) = 1">
				<xsl:text>Data Enterer</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:text>Data Enterers</xsl:text>
				</xsl:otherwise>
				</xsl:choose>
			</a>
		</li>		
		</xsl:if>
		
			  <xsl:if test="string-length(/v3:document/v3:verifier/v3:assignedPerson/v3:id/@extension) > 1">
		<li>
			<xsl:variable name="thisVerifier" select="/v3:document/v3:verifier/v3:assignedPerson/v3:id/@extension"/>
			<a href="#{generate-id($thisVerifier)}">
				<xsl:text>Verifier</xsl:text>
			</a>
		</li>		
		</xsl:if>
		<br/>
		<br/>
		 </div>
	</xsl:template>
	
	
	<!--  Author Template  -->
	<xsl:template name="author">
		<xsl:param name="thisAuthor"/>
		<h3>
		<a name="{generate-id($thisAuthor)}" href="#toc">
								<xsl:choose>
			<xsl:when test="count(/v3:document/v3:author/v3:assignedAuthor) = 1">
				<xsl:text>Author</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:text>Authors</xsl:text>
				</xsl:otherwise>
				</xsl:choose>
		</a></h3>
		<table class="otherTables">
			<tbody>
				<tr>
					<th>Author Name</th>
					<th>Represented Organization</th>
					<th>Street Address</th>
					<th>City</th>
					<th>State</th>
					<th>Zipcode</th>
				</tr>
				<xsl:for-each select="/v3:document/v3:author/v3:assignedAuthor">
					<tr>
						<td>
							<xsl:choose>
								<xsl:when test="v3:assignedPerson/v3:name">
									<xsl:call-template name="displayName">
										<xsl:with-param name="name" select="v3:assignedPerson/v3:name"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:when test="v3:assignedAuthoringDevice/v3:softwareName">
									<xsl:value-of select="v3:assignedAuthoringDevice/v3:softwareName"/>
								</xsl:when>
							</xsl:choose>
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="v3:representedOrganization">
									<xsl:call-template name="displayName">
										<xsl:with-param name="name" select="v3:representedOrganization/v3:name"/>
									</xsl:call-template>
								</xsl:when>
							</xsl:choose>
						</td>

							<xsl:choose>
								<xsl:when test="v3:representedOrganization/v3:addr">
									<xsl:call-template name="displayAddress">
										<xsl:with-param name="address" select="v3:representedOrganization/v3:addr"/>
									</xsl:call-template>
								</xsl:when>
							</xsl:choose>

					</tr>
				</xsl:for-each>
			</tbody>
		</table>
	</xsl:template>
	
	
	<!--  Performer Template  -->
	<xsl:template name="performer">
		<xsl:param name="thisPerformer"/>
		<h3><a name="{generate-id($thisPerformer)}" href="#toc">
			<xsl:choose>
			<xsl:when test="count(/v3:document/v3:performer/v3:assignedAuthor) = 1">
				<xsl:text>Performer</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:text>Performers</xsl:text>
				</xsl:otherwise>
				</xsl:choose>
		</a></h3>
		<table class="otherTables">
			<tbody>
				<tr>
					<th>Performer Name</th>
					<th>Represented Organization</th>
					<th>Street Address</th>
					<th>City</th>
					<th>State</th>
					<th>Zipcode</th>
				</tr>
				<xsl:for-each select="/v3:document/v3:performer/v3:assignedAuthor">
					<tr>
						<td>
							<xsl:choose>
								<xsl:when test="v3:assignedPerson/v3:name">
									<xsl:call-template name="displayName">
										<xsl:with-param name="name" select="v3:assignedPerson/v3:name"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:when test="v3:assignedAuthoringDevice/v3:softwareName">
									<xsl:value-of select="v3:assignedAuthoringDevice/v3:softwareName"/>
								</xsl:when>
							</xsl:choose>
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="v3:representedOrganization">
									<xsl:call-template name="displayName">
										<xsl:with-param name="name" select="v3:representedOrganization/v3:name"/>
									</xsl:call-template>
								</xsl:when>
							</xsl:choose>
						</td>
							<xsl:choose>
								<xsl:when test="v3:representedOrganization/v3:addr">
									<xsl:call-template name="displayAddress">
										<xsl:with-param name="address" select="v3:representedOrganization/v3:addr"/>
									</xsl:call-template>
								</xsl:when>
							</xsl:choose>
					</tr>
				</xsl:for-each>
			</tbody>
		</table>
	</xsl:template>
	

	
	<!--  Data Enterer Template  -->
	<xsl:template name="dataEnterer">
		<xsl:param name="thisDataEnterer"/>
		<h3><a name="{generate-id($thisDataEnterer)}" href="#toc">
			<xsl:choose>
			<xsl:when test="count(/v3:document/v3:dataEnterer/v3:assignedPerson) = 1">
				<xsl:text>Data Enterer</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				<xsl:text>Data Enterers</xsl:text>
				</xsl:otherwise>
				</xsl:choose>
		</a></h3>
		<table class="otherTables">
			<tbody>
				<tr>
					<th>Data Enterer Name</th>
					<th>Represented Organization</th>
					<th>Street Address</th>
					<th>City</th>
					<th>State</th>
					<th>Zipcode</th>
				</tr>
				<xsl:for-each select="/v3:document/v3:dataEnterer/v3:assignedPerson">
					<tr>
						<td>
								<xsl:choose>
								<xsl:when test="v3:assignedPerson/v3:name">
									<xsl:call-template name="displayName">
										<xsl:with-param name="name" select="v3:assignedPerson/v3:name"/>
									</xsl:call-template>
								</xsl:when>
								</xsl:choose>
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="v3:representedOrganization">
									<xsl:call-template name="displayName">
										<xsl:with-param name="name" select="v3:representedOrganization/v3:name"/>
									</xsl:call-template>
								</xsl:when>
							</xsl:choose>
						</td>
							<xsl:choose>
								<xsl:when test="v3:representedOrganization/v3:addr">
									<xsl:call-template name="displayAddress">
										<xsl:with-param name="address" select="v3:representedOrganization/v3:addr"/>
									</xsl:call-template>
								</xsl:when>
							</xsl:choose>
					</tr>
				</xsl:for-each>
			</tbody>
		</table>
	</xsl:template>
	
	
	<!--  Verifier Template  -->
	<xsl:template name="verifier">
		<xsl:param name="thisVerifier"/>
		<h3><a name="{generate-id($thisVerifier)}" href="#toc">
			<xsl:text>Verifier</xsl:text>
		</a></h3>
		<table class="otherTables">
			<tbody>
				<tr>
					<th>Verifier Name</th>
					<th>Represented Organization</th>
					<th>Street Address</th>
					<th>City</th>
					<th>State</th>
					<th>Zipcode</th>
				</tr>
				<xsl:for-each select="/v3:document/v3:verifier/v3:assignedPerson">
					<tr>
						<td>
								<xsl:choose>
								<xsl:when test="v3:assignedPerson/v3:name">
									<xsl:call-template name="displayName">
										<xsl:with-param name="name" select="v3:assignedPerson/v3:name"/>
									</xsl:call-template>
								</xsl:when>
								</xsl:choose>
						</td>
						<td>
							<xsl:choose>
								<xsl:when test="v3:representedOrganization">
									<xsl:call-template name="displayName">
										<xsl:with-param name="name" select="v3:representedOrganization/v3:name"/>
									</xsl:call-template>
								</xsl:when>
							</xsl:choose>
						</td>
							<xsl:choose>
								<xsl:when test="v3:representedOrganization/v3:addr">
									<xsl:call-template name="displayAddress">
										<xsl:with-param name="address" select="v3:representedOrganization/v3:addr"/>
									</xsl:call-template>
								</xsl:when>
							</xsl:choose>
					</tr>
				</xsl:for-each>
			</tbody>
		</table>
	</xsl:template>
	
	
	
	
	<!--   Narrative Template  -->
	<xsl:template name="narrative">
		<xsl:param name="thisNarrative"/>
		<h3><a name="{generate-id($thisNarrative)}" href="#toc">
			<xsl:text>Summary Narrative</xsl:text>
		</a></h3>
		
	<blockquote>
		<xsl:call-template name="break">
		<xsl:with-param name="text" select="/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='Summary']/v3:text"/>
		</xsl:call-template>
		</blockquote>
	</xsl:template>
	
	
	<xsl:template name="break">
   <xsl:param name="text"/>
   <xsl:choose>
   <xsl:when test="contains($text, '&#xa;')">
      <xsl:value-of select="substring-before($text, '&#xa;')"/>
      <br/>
      <xsl:call-template name="break">
          <xsl:with-param name="text" select="substring-after($text,'&#xa;')"/>
      </xsl:call-template>
   </xsl:when>
   <xsl:otherwise>
	<xsl:value-of select="$text"/>
   </xsl:otherwise>
   </xsl:choose>
</xsl:template>


	
	
	
		<!--   Encounter Template  -->
	<xsl:template name="encounter">
	<xsl:param name="thisEncounter"/>
	<xsl:param name="thisEncounterDate"/>
		<h3>	<a name="{generate-id($thisEncounter)}" href="#toc">
			<xsl:text>Encounters</xsl:text>
		</a></h3>
	
			<xsl:for-each select="/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='StudyObservations']/v3:entry">
			<xsl:sort select="v3:encounter/v3:effectiveTime/@value" order="descending"/>
			<xsl:sort select="v3:encounter/v3:id/@extension" order="ascending"/>
			<xsl:variable name="encounterID" select="v3:encounter/v3:id/@extension"/>
					<table class="encounterTable">
						<tbody>
							<tr>
								<th>Encounter ID</th>
								<th>Date</th>
								<xsl:if test="string-length(./v3:encounter/v3:location/v3:healthCareFacility/v3:serviceProviderOrganization/v3:id/@extension) > 1">
								<th>Location ID</th>
								<th>Name</th>
								<th>Street Address</th>
								<th>City</th>
								<th>State</th>
								<th>Zipcode</th>
								</xsl:if>
							</tr>
							
							<tr>
			<td>
				<xsl:value-of select="$encounterID"/>
			</td>
			<td>
				<xsl:value-of select="./v3:encounter/v3:effectiveTime/@value"/>
			</td>
			<xsl:if test="string-length(./v3:encounter/v3:location/v3:healthCareFacility/v3:serviceProviderOrganization/v3:id/@extension) > 1">
			<td>
				<xsl:value-of select="./v3:encounter/v3:location/v3:healthCareFacility/v3:serviceProviderOrganization/v3:id/@extension"/>
			</td>
			<td>
				<xsl:value-of select="./v3:encounter/v3:location/v3:healthCareFacility/v3:serviceProviderOrganization/v3:name"/>
			</td>
			<td>
				<xsl:value-of select="./v3:encounter/v3:location/v3:healthCareFacility/v3:serviceProviderOrganization/v3:addr/v3:streetAddressLine"/>
			</td>
			<td>
				<xsl:value-of select="./v3:encounter/v3:location/v3:healthCareFacility/v3:serviceProviderOrganization/v3:addr/v3:city"/>
			</td>
			<td>
				<xsl:value-of select="./v3:encounter/v3:location/v3:healthCareFacility/v3:serviceProviderOrganization/v3:addr/v3:state"/>
			</td>
			<td>
				<xsl:value-of select="./v3:encounter/v3:location/v3:healthCareFacility/v3:serviceProviderOrganization/v3:addr/v3:postalCode"/>
			</td>
			</xsl:if>
			
		</tr>	
						</tbody>
						
					</table>
					
				
				<table class="observationTable">
						<tbody>
							<tr>
							<th>Code System</th>
								<th>Code</th>
								<th>Observation Taken</th>
								<th>Observation</th>
								<th>Time</th>
							</tr>
								<xsl:for-each select="./v3:encounter/v3:sourceOf2">
								<xsl:call-template name="observation">
						</xsl:call-template>
							</xsl:for-each>	
						</tbody>
					</table>	
			
					<br/>
					<br/>
				</xsl:for-each>
	
	
	
	</xsl:template>
	
	
			<!--   Observation Template  -->
	<xsl:template name="observation">
	<div  class="observations">
		<tr>			
		<td>
				<xsl:value-of select="./v3:observation/v3:code/@codeSystem"/>
			</td>
			<td>
				<xsl:value-of select="./v3:observation/v3:code/@code"/>
			</td>

			<td>
				<xsl:value-of select="./v3:observation/v3:code/@displayName"/>
			</td>
			<td>
				<xsl:value-of select="./v3:observation/v3:value"/>
			</td>
			<td>
				<xsl:value-of select="./v3:observation/v3:effectiveTime/@value"/>
			</td>
		</tr></div>
	</xsl:template>
	
	
	<!-- displayName	  -->
	<xsl:template name="displayName">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name/v3:family">
				<xsl:value-of select="$name/v3:given"/>
				<xsl:text> </xsl:text>
				<xsl:value-of select="$name/v3:family"/>
				<xsl:if test="string-length($name/v3:suffix) > 1">
					<xsl:text>,</xsl:text>
					<xsl:value-of select="$name/v3:suffix"/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$name"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	
	<!-- displayAddress	  -->
	<xsl:template name="displayAddress">
		<xsl:param name="address"/>

			<xsl:if test="string-length($address/v3:streetAddressLine) > 1">
			<td>
				<xsl:value-of select="v3:addr/v3:streetAddressLine"/>
			</td>
			<td>
				<xsl:value-of select="v3:addr/v3:city"/>
			</td>
			<td>
				<xsl:value-of select="v3:addr/v3:state"/>
			</td>
			<td>
				<xsl:value-of select="v3:addr/v3:postalCode"/>
			</td>		
</xsl:if>
	<xsl:if test="string-length(/v3:addr/v3:streetAddressLine) = ''">
				<td>
					<xsl:text>address is not available</xsl:text>
			</td>
			
</xsl:if>

		<br/>
	</xsl:template>
	

</xsl:stylesheet>
