<?xml version="1.0" encoding="UTF-8"?>
<!--################################################### 
Copyright (c) 2010 U.S. Food and Drug Administration

Permission is hereby granted, free of charge, to any person obtaining a copy of this software (Study Design XForm) and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, or sell copies of the Software or derivatives, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  THIS SOFTWARE IS PROVIDED WITHOUT ANY OBLIGATION TO PROVIDE MAINTENANCE OR OTHER SUPPORT."
####################################################################-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:v3="urn:hl7-org:v3" >
	<xsl:output method="html"/>
	<xsl:template match="/" >
		<head>
			<style type="text/css">
					.banner {
						height:60px;
						font-family:  Arial ;	 
						margin-bottom: 10px;
						max-width: 1920px;
						min-width: 1030px;
						background-repeat:no-repeat;
						background-color:rgb(23,82,159); 
						background-image:url('file:///c:/xforms/xsl/img/img_fdagov_hp_logo_type.png');
						background-position:  center left;
						border-radius: 10px;
						padding: 1em 1em 1em 1em;  	
						font-size: 12pt;
						color: white;
						font-weight:bold;
						text-align:right;
						border-radius: 15px;
						}

					.tables 
					  {
						 margin-left: 20px;
					  }
						
					th 
					  {
						 background-color:rgb(23,82,159); 
						 color: white;
						 border: 1px black;
						 padding-left: 10px;
						 padding-right: 20px;
					  }
					td
					  {
						 border: 1px;
						 border-color: black;
						 border-style:solid;
						 padding-left: 10px;
						 padding-right: 20px;
						 
					  }
					  .styleSheetCell{
white-space:pre;					  
					  }
			</style>
			<h1 class="banner">
				<xsl:text>Subject Data - Patient Narratives  -  v.0.0.1</xsl:text>
				<br/>
				<xsl:value-of select="/v3:study/v3:instantiation/v3:plannedStudy/v3:id/@extension"/>
			
			</h1>
		</head>
		<body>	
		
			<table id="myTable">
				<tr bgcolor="rgb(23,82,159)">
					<td>
						<font color="white">
							<b>Subject Identifier</b>
						</font>
					</td>
					<td>
						<font color="white">
							<b>Summary Narrative</b>
						</font>
					</td>
				</tr>
				<tr>
					<xsl:for-each select=" /v3:study/v3:component1/v3:studyActivitiesAtSite/v3:subject1/v3:experimentalUnit">
						<xsl:sort select="v3:id/@extension" order="ascending" data-type="number"/>
						<xsl:call-template name="subject">
							<xsl:with-param name="subjectID" select="child::*/child::v3:id/@extension"/>
								<xsl:with-param name="studyID" select="//v3:study/v3:instantiation/v3:plannedStudy/v3:id/@root"/>
						</xsl:call-template>
					</xsl:for-each>
				</tr>
			</table>
		</body>
	</xsl:template>
	
	<xsl:template name="subject">
		<xsl:param name="subjectID"/>
		<xsl:param name="studyID"/>
		<!--<xsl:param name="thisDocument" select="'C:\xforms\FDA messages\'" />-->
		<xsl:variable name="documentname" select="concat('StudySubjectData_', $studyID, '_',   $subjectID,'.xml')"/>
		
		<tr>
			<td>
				<h3>
					<xsl:value-of select="$subjectID"/>
				</h3>
			</td>
			<td>
				<xsl:call-template name="break">
					<xsl:with-param name="text" select="document($documentname)/v3:document/v3:component/v3:structuredBody/v3:component/v3:section[v3:code/@code='Summary']/v3:text"/>
				</xsl:call-template>
				<br/>
				<br/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="break">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="contains($text, '&#xa;')">
				<xsl:value-of select="substring-before($text, '&#xa;')"/>
				<br/>
				<xsl:call-template name="break">
					<xsl:with-param name="text" select="substring-after($text,'&#xa;')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
